<?php

namespace App\Http\Controllers;

use  Illuminate\Support\Facades\Session;
// Use Redirect;
use Illuminate\Http\Request;
use PhpParser\Node\Expr\FuncCall;
use Illuminate\Support\Facades\DB;
use App\Empresa;
use App\Registro;
use Illuminate\Support\Facades\Redirect;
use App\Http\Requests\EmpresaFormRequest;
use App\Http\Requests\RegistroUFormRequest;
use Carbon\Carbon;

class DashController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index(Request $request)
    {
        if ($request) {
            $query = trim($request->get('searchText'));
            $query2 = trim($request->get('searchText2'));

            $mytime = Carbon::now('America/Santiago');
            $fecha = $mytime->toDateString();
            $empresa = DB::table('empresa')
                ->first();

            $miEmpresa = DB::table('usuario as u')
                ->join('branch_office as b', 'u.idBranch_office', 'b.id')
                ->where('u.IdUsuario', auth()->user()->IdUsuario)
                ->first();

            // Registros de Hoy!
            $cant_registros_hoy = DB::table('registro as r')
                ->join('usuario as u', 'r.IdUsuario', 'u.IdUsuario')
                ->join('branch_office as b', 'u.idBranch_office', 'b.id')
                ->where('b.idEmpresa', $miEmpresa->idEmpresa)
                ->where('FechaRegistro', '=', $fecha)
                ->get();
            // Registros Completados Hoy!
            $cant_registros_choy = DB::table('registro as r')
                ->join('usuario as u', 'r.IdUsuario', 'u.IdUsuario')
                ->join('branch_office as b', 'u.idBranch_office', 'b.id')
                ->where('b.idEmpresa', $miEmpresa->idEmpresa)
                ->whereNotNull('HoraSalida')
                ->where('FechaRegistro', '=', $fecha)
                ->get();
            // Registros Sin Completar Hoy!
            $cant_registros_fhoy = DB::table('registro as r')
                ->join('usuario as u', 'r.IdUsuario', 'u.IdUsuario')
                ->join('branch_office as b', 'u.idBranch_office', 'b.id')
                ->where('b.idEmpresa', $miEmpresa->idEmpresa)
                ->whereNull('HoraSalida')
                ->where('FechaRegistro', '=', $fecha)
                ->get();
            //Usaurio que no marcaron su registro
            $user_cant = DB::table('usuario as u')
                ->join('branch_office as b', 'u.idBranch_office', 'b.id')
                ->where('b.idEmpresa', $miEmpresa->idEmpresa)
                ->where('Estado', '=', 'ACTIVO')
                ->where('TipoUsuario', '=', 'PERSONAL')
                ->get();
            $cant_usuarionsr = count($user_cant) - count($cant_registros_hoy);

            // ---------------------------------------------------------------------------

            $registros_hoy = DB::table('registro as r')
                ->join('usuario as u', 'u.IdUsuario', '=', 'r.IdUsuario')
                ->join('branch_office as b', 'u.idBranch_office', 'b.id')
                ->where('b.idEmpresa', $miEmpresa->idEmpresa)
                ->where('FechaRegistro', '=', $fecha)
                ->get();

            $registros_choy = DB::table('registro as r')->join('usuario as u', 'u.IdUsuario', '=', 'r.IdUsuario')
                ->join('branch_office as b', 'u.idBranch_office', 'b.id')
                ->where('b.idEmpresa', $miEmpresa->idEmpresa)
                ->whereNotNull('HoraSalida')->where('FechaRegistro', '=', $fecha)
                ->get();

            $registros_pchoy = DB::table('registro as r')->join('usuario as u', 'u.IdUsuario', '=', 'r.IdUsuario')
                ->join('branch_office as b', 'u.idBranch_office', 'b.id')
                ->where('b.idEmpresa', $miEmpresa->idEmpresa)
                ->whereNull('HoraSalida')->where('FechaRegistro', '=', $fecha)
                ->get();

            // $registros_srhoy = DB::table('usuario as u')->join('registro as r', 'u.IdUsuario', '=', 'r.IdUsuario')
            // ->where('FechaRegistro', '+=', $fecha)
            // ->get();

            //select * from registro as r inner join usuario as u on r.IdUsuario = u.IdUsuario
            //where FechaRegistro = 13-05-2021
            // select * from usuario as u right join registro as r on u.IdUsuario = r.IdUsuario
            // where FechaRegistro = '2021-05-13'
            $user_s = DB::table('usuario as u')
                ->join('branch_office as b', 'u.idBranch_office', 'b.id')
                ->where('b.idEmpresa', $miEmpresa->idEmpresa)
                ->where('TipoUsuario', '=', 'PERSONAL')->get();
            $i = 0;
            $registros_srhoy = array();
            foreach ($user_s as $item) {
                $aux = false;
                foreach ($registros_hoy as $sin) {
                    if ($item->Nombres == $sin->Nombres) {
                        $aux = true;
                    }
                }
                if (!$aux) {
                    $registros_srhoy[$i] = $item->Nombres;
                    $i += 1;
                }
            }
            // foreach ($registros_srhoy as $item) {
            //     echo $item . '<br>';
            // }

            // ----------------------------------------------------------------------

            $anio = intval($mytime->format('Y'));
            $anios_proximos = [$anio - 3, $anio - 2, $anio - 1, $anio];
            $meses_disponibles = ["Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"];

            // Indicamos los datos del mes a buscar
            if (empty($query2)) {
                $anio_o = $anio;
            } else {
                $anio_o = $query2;
            }

            if (empty($query)) {
                $mes_actual = $mytime->format('m');
                $mes_recibido = $anio_o . '-' . $mes_actual;
                $cant_dias = $mytime->format('t');
                $aux_nombre_mes = $mytime->format('n');
            } else {
                for ($i = 0; $i < count($meses_disponibles); $i++) {
                    if ($query == $meses_disponibles[$i]) {
                        $mes_recibido = $anio_o . '-' . ($i + 1) . "-01";
                        $aux_nombre_mes = $i + 1;
                        break;
                    }
                }
                $cant_dias = date('t', strtotime($mes_recibido));
                $mes_actual = date('m', strtotime($mes_recibido));
            }
            $mes_recibido = $anio_o  . '-' . date('m', strtotime($mes_recibido));
            //dia_actual
            $dia_ac = '-1';
            if ($mes_actual == $mytime->format('m')) {
                $dia_ac = $mytime->format('d');
            }

            // Generamos la tabla del mes - Seleccionado
            $dias = array("DO", "LU", "MA", "MI", "JU", "VI", "SÁ");

            //mes_actual
            $mes_ac = ["Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"][$aux_nombre_mes - 1];

            for ($i = 0; $i < $cant_dias; $i++) {
                $fechats = strtotime($anio_o . '-' . $mes_actual . '-' .  ($i + 1));
                $dias_mes_n[$i] = str_pad(($i + 1), 2, "0", STR_PAD_LEFT);
                $dias_mes_l[$i] = $dias[date('w', $fechats)];
            }

            $usuario = DB::table('usuario as u')
                ->join('branch_office as b', 'u.idBranch_office', 'b.id')
                ->where('b.idEmpresa', $miEmpresa->idEmpresa)
                ->where('TipoUsuario', '=', 'PERSONAL')->get();
            $k = 0;
            $k2 = 0;

            $asistencia = [];
            $estadistica = [];
            foreach ($usuario as $u) {
                $registro = DB::table('registro as r')->join('usuario as u', 'r.IdUsuario', 'u.IdUsuario')
                    ->join('schedule as s', 'u.idSchedule', 's.id')
                    ->select(
                        'IdRegistro',
                        'FechaRegistro',
                        'HoraEntrada',
                        'HoraSalida',
                        'u.Nombres',
                        'HoraSalida as promedioSalida',
                        'EncargadoUpdt',
                        'checkinTime',
                        'r.estado'
                    )
                    ->where('FechaRegistro', 'LIKE', '%' . $mes_recibido . '%')
                    ->where('u.IdUsuario', '=', $u->IdUsuario)
                    ->get();
                // $solo_nombre = explode(" ", $u->Nombres);
                $asistencia[$k] = $u->Nombres;
                $estadistica[$k2] = $u->Nombres;
                $k += 1;
                $k2 += 1;
                $correctas = 0;
                $malas = 0;
                $tardanza = 0;

                $ai = 0;
                $aj = 0;
                $at = 0;
                $ct = 0;
                $de = 0;
                $he = 0;
                $jo = 0;
                $lm = 0;
                $pg = 0;
                $pr = 0;
                $ps = 0;
                $po = 0;
                $sa = 0;
                $va = 0;
                $d = 0;
                foreach ($dias_mes_n as $dn) {
                    foreach ($registro as $r) {
                        $fecha = date("d", strtotime($r->FechaRegistro));
                        if ($fecha == $dn) {
                            $identificador = $r->IdRegistro;
                            $estado = $r->estado;
                            $indicador = $r->HoraEntrada;
                            $modificacion = 'no';
                            $horaEntrada = $r->checkinTime;
                            if (isset($r->EncargadoUpdt)) {
                                $modificacion = 'si';
                            }
                        }
                    }
                    if (isset($indicador) && empty($estado)) {
                        if ($indicador <= $horaEntrada) {
                            $asistencia[$k] = "*_" . $identificador . '_' . $modificacion;
                            $correctas += 1;
                        } else {
                            $asistencia[$k] = "T_" . $identificador . '_' . $modificacion;
                            // $tardanza += 1;
                            $at += 1;
                        }
                        unset($identificador);
                        unset($indicador);
                    } else if (isset($indicador) && isset($estado)) {

                        if ($estado == 'A.I.') {
                            $ai += 1;
                        } else if ($estado == 'A.J') {
                            $aj += 1;
                            // }else if ($estado == 'AT') {
                            //     $at += 1;
                        } else if ($estado == 'C.T.') {
                            $ct += 1;
                        } else if ($estado == 'D.E.J.') {
                            $de += 1;
                        } else if ($estado == 'H.E.') {
                            $he += 1;
                        } else if ($estado == 'J.O.') {
                            $jo += 1;
                        } else if ($estado == 'L.M.') {
                            $lm += 1;
                        } else if ($estado == 'P.G.R') {
                            $pg += 1;
                        } else if ($estado == 'PREN.') {
                            $pr += 1;
                        } else if ($estado == 'P.S.G.R.') {
                            $ps += 1;
                        } else if ($estado == 'POSTN') {
                            $po += 1;
                        } else if ($estado == 'S.A') {
                            $sa += 1;
                        } else if ($estado == 'VAC') {
                            $va += 1;
                        } else if ($estado == 'D') {
                            $d += 1;
                        }
                        $asistencia[$k] = $estado . "_" . $identificador . '_' . $modificacion;
                        unset($estado);
                        unset($identificador);
                        unset($indicador);
                    } else {
                        $asistencia[$k] = "F_" . '2_' . 'no';
                        $malas += 1;
                    }
                    $k += 1;
                }
                // $ai = 0; $aj = 0; $at = 0; $ct = 0; $de = 0; $he = 0; $jo = 0; $lm = 0; $pg = 0; $pr = 0; $ps = 0; $po = 0; $sa = 0; $va = 0;
                $estadistica[$k2] = $correctas . '_Asistencias';
                // $estadistica[$k2+1] = $tardanza . '_Tardanza';
                $estadistica[$k2 + 1] = $malas . '_Faltas';
                $estadistica[$k2 + 2] = $ai . '_Ausencia injustificada.';
                $estadistica[$k2 + 3] = $aj . '_Ausencia justificada.';
                $estadistica[$k2 + 4] = $at . '_Atraso.';
                $estadistica[$k2 + 5] = $ct . '_Cambio de turno.';
                $estadistica[$k2 + 6] = $de . '_Distribución excepcional de Jornada.';
                $estadistica[$k2 + 7] = $he . '_Horas extraordinarias.';
                $estadistica[$k2 + 8] = $jo . '_Jornada ordinaria.';
                $estadistica[$k2 + 9] = $lm . '_Licencia médica.';
                $estadistica[$k2 + 10] = $pg . '_Permiso con goce de remuneraciones.';
                $estadistica[$k2 + 11] = $pr . '_Prenatal.';
                $estadistica[$k2 + 12] = $ps . '_Permiso sin goce de remuneraciones.';
                $estadistica[$k2 + 13] = $po . '_Postnatal.';
                $estadistica[$k2 + 14] = $sa . '_Salida anticipada.';
                $estadistica[$k2 + 15] = $va . '_Vacaciones.';
                $estadistica[$k2 + 16] = $d . '_Descanso.';
                $k2 += 17;
            }


            return view('dashboard-administrador.index', [
                "empresa" => $empresa, "asistencia" => $asistencia,
                "dias_mes_n" => $dias_mes_n, "dias_mes_l" => $dias_mes_l, "dia_ac" => $dia_ac, "anio_o" => $anio_o,
                "cant_dias" => $cant_dias, "estadistica" => $estadistica,
                "cant_registros_fhoy" => count($cant_registros_fhoy), "cant_usuarionsr" => $cant_usuarionsr,
                "cant_registros_hoy" => count($cant_registros_hoy), "cant_registros_choy" => count($cant_registros_choy),
                "mes_ac" => $mes_ac, "meses_disponibles" => $meses_disponibles,
                "anios_proximos" => $anios_proximos,
                "searchText" => $query, "searchText2" => $query2,
                "registros_hoy" => $registros_hoy, "registros_choy" => $registros_choy,
                "registros_pchoy" => $registros_pchoy, "registros_srhoy" => $registros_srhoy
            ]);
        }
    }
    public function create()
    {
        $mytime = Carbon::now('America/Lima');
        $fecha = $mytime->toDateString();
        $uSelected = DB::table('usuario as u')
            ->join('schedule as s', 'u.idSchedule', 's.id')
            ->where('s.id', auth()->user()->idSchedule)
            ->first();

        $usuario = DB::table('usuario as u')
            ->join('schedule as s', 'u.idSchedule', 's.id')
            ->where('TipoUsuario', 'PERSONAL')
            ->where('Estado', 'ACTIVO')
            ->where('s.idEmpresa', $uSelected->idEmpresa)
            ->get();

        $empresa = DB::table('empresa')->first();
        return view("dashboard-administrador.create", ["usuario" => $usuario, "fecha" => $fecha, "empresa" => $empresa]);
    }


    public function edit($id)
    {
        $registro = DB::table('registro as r')
            ->join('usuario as u', 'r.IdUsuario', '=', 'u.IdUsuario')
            ->select(
                'IdRegistro',
                'FechaRegistro',
                'HoraEntrada',
                'HoraSalida',
                'u.Nombres',
                'u.IdUsuario',
                'HoraEntradaU',
                'HoraSalidaU',
                'Observacion',
                'EncargadoUpdt'
            )
            ->where('IdRegistro', '=', $id)
            ->first();

        $empresa = DB::table('empresa')->first();

        return view("dashboard-administrador.edit", ["registro" => $registro, "empresa" => $empresa]);
    }

    public function update(RegistroUFormRequest $request)
    {
        $registro = Registro::findOrFail($request->get('IdRegistro'));
        if ($request->get('HoraEntradaU') != $request->get('HoraEntrada')) {
            $registro->HoraEntradaU = $request->get('HoraEntradaU');
            $registro->HoraEntrada = $request->get('HoraEntrada');
        }
        if ($request->get('HoraSalidaU') != $request->get('HoraSalida')) {
            if (empty($request->get('HoraSalidaU')) == false) {
                $registro->HoraSalidaU = $request->get('HoraSalidaU');
            } else {
                $registro->HoraSalidaU = '00:00:00';
            }
            $registro->HoraSalida = $request->get('HoraSalida');
        }
        if ($request->get('HoraEntradaU') != $request->get('HoraEntrada') || $request->get('HoraSalidaU') != $request->get('HoraSalida')) {
            $registro->EncargadoUpdt = $request->get('EncargadoUpdt');
        }
        $registro->Observacion = $request->get('Observacion');
        $registro->update();
        return Redirect::to('dashboard-administrador');
    }


    public function store(Request $request)
    {
        $cant_reg = 0;
        DB::beginTransaction();
        try {
            $idUsuario = explode('_', $request->get('IdUsuario'));
            if ($request->get('FechaFinal') <  $request->get('FechaInicio')) {
                Session::flash('error_create', 'La Fecha final no puede ser menor que la Fecha de inicio.');
                return Redirect::to('dashboard-administrador/create');
            } else {
                // $dias = Diferencia_Fecha($request -> get ('FechaInicio'), $request -> get ('FechaFinal'));
                $rfecha = fechas($request->get('FechaInicio'), $request->get('FechaFinal'));
                // $aux = false;
                for ($k = 0; $k < count($rfecha); $k++) {
                    $registro = DB::table('registro')
                        ->where('IdUsuario', '=', $idUsuario[0])
                        ->where('FechaRegistro', '=', $rfecha[$k])
                        ->first();
                    if (!isset($registro->IdRegistro)) {
                        // $reg   = Registro::findOrFail($registro->IdRegistro);
                        // $reg->delete();
                        // $aux = true;
                        // break;
                        $registro = new Registro;
                        $registro->LatitudEntrada = "-0.0000";
                        $registro->LongitudEntrada = "-0.0000";
                        $registro->FechaRegistro = $rfecha[$k];
                        $registro->Consideracion = 'SINUBICACION';
                        $registro->Consideracion2 = 'SINUBICACION';
                        $registro->estado = $request->get('Estado');
                        $registro->HoraEntrada = $request->get('HoraEntrada');
                        $registro->HoraSalida = $request->get('HoraSalida');
                        $registro->IdUsuario = $idUsuario[0];
                        $registro->save();
                        $cant_reg++;
                    }
                }
            }
            DB::commit();
        } catch (\Exception $e) {
            DB::rollback();
            // something went wrong
            return redirect()->back()->with(['error' => $e->getMessage()]);
        }

        return Redirect::to('dashboard-administrador')->with(['success' =>  $cant_reg . ' registro' . ($cant_reg > 1 ? 's' : '') . ' modificado' . ($cant_reg > 1 ? 's' : '')]);
    }

    public function detallePdf($query, $query2)
    {
        $empresa = DB::table('schedule as s')->join('empresa as e', 's.idEmpresa', 'e.idEmpresa')
            ->where('id', auth()->user()->idSchedule)->first();

        $mytime = Carbon::now('America/Santiago');
        $fecha = $mytime->toDateString();

        $miEmpresa = DB::table('usuario as u')
            ->join('branch_office as b', 'u.idBranch_office', 'b.id')
            ->where('u.IdUsuario', auth()->user()->IdUsuario)
            ->first();

        $anio = intval($mytime->format('Y'));
        $anios_proximos = [$anio - 3, $anio - 2, $anio - 1, $anio];
        $meses_disponibles = ["Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"];

        // Indicamos los datos del mes a buscar
        if (empty($query2)) {
            $anio_o = $anio;
        } else {
            $anio_o = $query2;
        }

        if (empty($query)) {
            $mes_actual = $mytime->format('m');
            $mes_recibido = $anio_o . '-' . $mes_actual;
            $cant_dias = $mytime->format('t');
            $aux_nombre_mes = $mytime->format('n');
        } else {
            for ($i = 0; $i < count($meses_disponibles); $i++) {
                if ($query == $meses_disponibles[$i]) {
                    $mes_recibido = $anio_o . '-' . ($i + 1) . "-01";
                    $aux_nombre_mes = $i + 1;
                    break;
                }
            }
            $cant_dias = date('t', strtotime($mes_recibido));
            $mes_actual = date('m', strtotime($mes_recibido));
        }
        $mes_recibido = $anio_o  . '-' . date('m', strtotime($mes_recibido));
        //dia_actual
        $dia_ac = '-1';
        if ($mes_actual == $mytime->format('m')) {
            $dia_ac = $mytime->format('d');
        }

        // Generamos la tabla del mes - Seleccionado
        $dias = array("DO", "LU", "MA", "MI", "JU", "VI", "SÁ");


        //mes_actual
        $mes_ac = ["Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"][$aux_nombre_mes - 1];

        for ($i = 0; $i < $cant_dias; $i++) {
            $fechats = strtotime($anio_o . '-' . $mes_actual . '-' .  ($i + 1));
            $dias_mes_n[$i] = str_pad(($i + 1), 2, "0", STR_PAD_LEFT);
            $dias_mes_l[$i] = $dias[date('w', $fechats)];
        }

        $usuario = DB::table('usuario as u')
            ->join('branch_office as b', 'u.idBranch_office', 'b.id')
            ->where('b.idEmpresa', $miEmpresa->idEmpresa)
            ->where('TipoUsuario', '=', 'PERSONAL')->get();
        $k = 0;
        $k2 = 0;
        $promedio = 0;
        $asistencia = [];
        $estadistica = [];
        foreach ($usuario as $u) {
            $registro = DB::table('registro as r')->join('usuario as u', 'r.IdUsuario', '=', 'u.IdUsuario')
                ->join('schedule as s', 'u.idSchedule', 's.id')
                ->select(
                    'IdRegistro',
                    'FechaRegistro',
                    'HoraEntrada',
                    'HoraSalida',
                    'u.Nombres',
                    'r.estado',
                    'EncargadoUpdt',
                    'checkinTime'
                )
                ->where('FechaRegistro', 'LIKE', '%' . $mes_recibido . '%')
                ->where('u.IdUsuario', '=', $u->IdUsuario)

                ->get();
            // $solo_nombre = explode(" ", $u->Nombres);
            $asistencia[$k] = $u->Nombres;
            $estadistica[$k2] = $u->Nombres;
            $k += 1;
            $k2 += 1;
            $correctas = 0;
            $malas = 0;
            $tardanza = 0;
            $ai = 0;
            $aj = 0;
            $at = 0;
            $ct = 0;
            $de = 0;
            $he = 0;
            $jo = 0;
            $lm = 0;
            $pg = 0;
            $pr = 0;
            $ps = 0;
            $po = 0;
            $sa = 0;
            $va = 0;
            $d = 0;
            foreach ($dias_mes_n as $dn) {
                foreach ($registro as $r) {
                    $fecha = date("d", strtotime($r->FechaRegistro));
                    if ($fecha == $dn) {
                        $identificador = $r->IdRegistro;
                        $indicador = $r->HoraEntrada;
                        $estado = $r->estado;
                        $modificacion = 'no';
                        $horaEntrada = $r->checkinTime;
                        if (isset($r->EncargadoUpdt)) {
                            $modificacion = 'si';
                        }
                        // $promedio +=  strtotime($r->promedioEntrada);
                    }
                }
                if (isset($indicador) && empty($estado)) {
                    if ($indicador <= $horaEntrada) {
                        $asistencia[$k] = "*_" . $identificador . '_' . $modificacion;
                        $correctas += 1;
                    } else {
                        $asistencia[$k] = "T_" . $identificador . '_' . $modificacion;
                        $tardanza += 1;
                    }
                    unset($identificador);
                    unset($indicador);
                } else if (isset($indicador) && isset($estado)) {

                    if ($estado == 'A.I.') {
                        $ai += 1;
                    } else if ($estado == 'A.J') {
                        $aj += 1;
                        // }else if ($estado == 'AT') {
                        //     $at += 1;
                    } else if ($estado == 'C.T.') {
                        $ct += 1;
                    } else if ($estado == 'D.E.J.') {
                        $de += 1;
                    } else if ($estado == 'H.E.') {
                        $he += 1;
                    } else if ($estado == 'J.O.') {
                        $jo += 1;
                    } else if ($estado == 'L.M.') {
                        $lm += 1;
                    } else if ($estado == 'P.G.R') {
                        $pg += 1;
                    } else if ($estado == 'PREN.') {
                        $pr += 1;
                    } else if ($estado == 'P.S.G.R.') {
                        $ps += 1;
                    } else if ($estado == 'POSTN') {
                        $po += 1;
                    } else if ($estado == 'S.A') {
                        $sa += 1;
                    } else if ($estado == 'VAC') {
                        $va += 1;
                    } else if ($estado == 'D') {
                        $d += 1;
                    }
                    $asistencia[$k] = $estado . "_" . $identificador . '_' . $modificacion;
                    unset($estado);
                    unset($identificador);
                    unset($indicador);
                } else {
                    $asistencia[$k] = "F_" . '2_' . 'no';
                    $malas += 1;
                }
                $k += 1;
            }

            $estadistica[$k2] = $correctas . '_Asistencias';
            // $estadistica[$k2+1] = $tardanza . '_Tardanza';
            $estadistica[$k2 + 1] = $malas . '_Faltas';
            $estadistica[$k2 + 2] = $ai . '_Ausencia injustificada.';
            $estadistica[$k2 + 3] = $aj . '_Ausencia justificada.';
            $estadistica[$k2 + 4] = $tardanza . '_Atraso.';
            $estadistica[$k2 + 5] = $ct . '_Cambio de turno.';
            $estadistica[$k2 + 6] = $de . '_Distribución excepcional de Jornada.';
            $estadistica[$k2 + 7] = $he . '_Horas extraordinarias.';
            $estadistica[$k2 + 8] = $jo . '_Jornada ordinaria.';
            $estadistica[$k2 + 9] = $lm . '_Licencia médica.';
            $estadistica[$k2 + 10] = $pg . '_Permiso con goce de remuneraciones.';
            $estadistica[$k2 + 11] = $pr . '_Prenatal.';
            $estadistica[$k2 + 12] = $ps . '_Permiso sin goce de remuneraciones.';
            $estadistica[$k2 + 13] = $po . '_Postnatal.';
            $estadistica[$k2 + 14] = $sa . '_Salida anticipada.';
            $estadistica[$k2 + 15] = $va . '_Vacaciones.';
            $estadistica[$k2 + 16] = $d . '_Descanso.';
            $k2 += 17;
        }

        $pdf = \PDF::loadView('dashboard-administrador.reporte', [
            "dias_mes_l" => $dias_mes_l,
            "dia_ac" => $dia_ac, "anio_o" => $anio_o, "dias_mes_n" => $dias_mes_n, "asistencia" => $asistencia,
            "cant_dias" => $cant_dias, "estadistica" => $estadistica, "empresa" => $empresa,
            "query" => $query, "query2" => $query2
        ])
            ->setPaper('a4', 'landscape');
        return $pdf->stream();
    }

    // Calculamos el nombre del mes
    public static function  num_mes($nom)
    {
        $nom = strtoupper($nom);
        if ($nom == 'ENERO') {
            return '01';
        } elseif ($nom == 'FEBRERO') {
            return '02';
        } elseif ($nom == 'MARZO') {
            return '03';
        } elseif ($nom == 'ABRIL') {
            return '04';
        } elseif ($nom == 'MAYO') {
            return '05';
        } elseif ($nom == 'JUNIO') {
            return '06';
        } elseif ($nom == 'JULIO') {
            return '07';
        } elseif ($nom == 'AGOSTO') {
            return '08';
        } elseif ($nom == 'SEPTIEMBRE') {
            return '09';
        } elseif ($nom == 'OCTUBRE') {
            return '10';
        } elseif ($nom == 'NOVIEMBRE') {
            return '11';
        } elseif ($nom == 'DICIEMBRE') {
            return '12';
        } else {
            return 0;
        }
    }

    public static function  v_falta($fecha)
    {
        $registro = Registro::where('IdUsuario', auth()->user()->IdUsuario)->where('FechaRegistro', $fecha)->first();
        return $registro ? true : false;
    }
}
function fechas($start, $end)
{
    $range = array();
    if (is_string($start) === true) $start = strtotime($start);
    if (is_string($end) === true) $end = strtotime($end);
    do {
        $range[] = date('Y-m-d', $start);
        $start = strtotime("+ 1 day", $start);
    } while ($start <= $end);
    return $range;
}
