<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Registro;
use Carbon\Carbon;
use App\Http\Controllers\RegistroController;
use App\User;

class ReporteGraficoController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index(Request $request)
    {
        if ($request) {
            $query = trim($request->get('searchText'));
            $query2 = trim($request->get('searchText2'));
            $anio = intval(date('Y'));
            $anios_proximos = [$anio - 3, $anio - 2, $anio - 1, $anio];
            $meses_disponibles = ["Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"];

            // Indicamos los datos del mes a buscar
            if ($query2 == '') {
                $anio_o = date('Y');
            } else {
                $anio_o = "$query2";
            }
            if ($query == '') {
                $mes_recibido = $anio_o . '-' . date('m');
                $cant_dias = date('t');
                $mes_actual = date('m');
                //dia_actual
                $dia_ac = date('d');
                //auxiliar para mostrar el nombre del mes
                $aux_nombre_mes = date("n");
            } else {
                for ($i = 0; $i < count($meses_disponibles); $i++) {
                    if ($query == $meses_disponibles[$i]) {

                        $mes_recibido = $anio_o . '-' . ($i + 1) . "-01";
                        $aux_nombre_mes = $i + 1;
                        break;
                    }
                }
                $cant_dias = date('t', strtotime($mes_recibido));
                $mes_actual = date('m', strtotime($mes_recibido));

                //dia_actual
                if ($mes_actual == date('m')) {
                    $dia_ac = date('d');
                } else {
                    $dia_ac = '45';
                }
                //dia_actual
                $mes_recibido = $anio_o  . '-' . date('m', strtotime($mes_recibido));
            }
            // Generamos la tabla del mes - Seleccionado
            $dias = array("DO", "LU", "MA", "MI", "JU", "VI", "SÁ");
            //mes_actual
            $mes_ac = ["Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"][$aux_nombre_mes - 1];

            for ($i = 0; $i < $cant_dias; $i++) {
                $fechats = strtotime($anio_o . '-' . $mes_actual . '-' .  ($i + 1));
                $dias_mes_n[$i] = str_pad(($i + 1), 2, "0", STR_PAD_LEFT);
                $dias_mes_l[$i] = $dias[date('w', $fechats)];
            }
            $k = 0;
            $promedio = 0;
            $empresa = DB::table('schedule as s')->join('empresa as e', 's.idEmpresa', 'e.idEmpresa')
                ->where('id', auth()->user()->idSchedule)->first();
            $registro = DB::table('registro as r')->join('usuario as u', 'r.IdUsuario', '=', 'u.IdUsuario')
                ->select(
                    'r.IdRegistro',
                    'FechaRegistro',
                    'HoraEntrada',
                    'HoraSalida',
                    'u.Nombres',
                    'r.estado'
                )
                ->where('FechaRegistro', 'LIKE', '%' . $mes_recibido . '%')
                ->where('u.IdUsuario', '=', auth()->user()->IdUsuario)
                ->get();

            $k += 1;
            $correctas = 0;
            $malas = 0;
            $tardanza = 0;
            $ai = 0; $aj = 0; $at = 0; $ct = 0; $de = 0; $he = 0; $jo = 0; $lm = 0; $pg = 0; $pr = 0; $ps = 0; $po = 0; $sa = 0; $va = 0; $d = 0;
            foreach ($dias_mes_n as $dn) {
                foreach ($registro as $r) {
                    $fecha = date("d", strtotime($r->FechaRegistro));
                    if ($fecha == $dn) {
                        $identificador = $r->IdRegistro;
                        $indicador = $r->HoraEntrada;
                        // $promedio +=  strtotime($r->promedioEntrada);
                        $estado = $r->estado;
                    }
                }
                if (isset($indicador) && empty($estado)) {
                    if ($indicador <= $empresa->checkinTime) {
                        $asistencia[$k] = "*_" . $identificador;
                        $correctas += 1;
                    } else {
                        $asistencia[$k] = "AT_" . $identificador;
                        // $tardanza += 1;
                        $at += 1;
                    }
                    unset($identificador);
                    unset($indicador);

                }else if (isset($indicador) && isset($estado)) {
                    if ($estado == 'A.I.') {
                        $ai += 1;
                    }else if ($estado == 'A.J') {
                        $aj += 1;
                    // }else if ($estado == 'AT') {
                    //     $at += 1;
                    }else if ($estado == 'C.T.') {
                        $ct += 1;
                    }else if ($estado == 'D.E.J.') {
                        $de += 1;
                    }else if ($estado == 'H.E.') {
                        $he += 1;
                    }else if ($estado == 'J.O.') {
                        $jo += 1;
                    }else if ($estado == 'L.M.') {
                        $lm += 1;
                    }else if ($estado == 'P.G.R') {
                        $pg += 1;
                    }else if ($estado == 'PREN.') {
                        $pr += 1;
                    }else if ($estado == 'P.S.G.R.') {
                        $ps += 1;
                    }else if ($estado == 'POSTN') {
                        $po += 1;
                    }else if ($estado == 'S.A') {
                        $sa += 1;
                    }else if ($estado == 'VAC') {
                        $va += 1;
                    }else if ($estado == 'D') {
                        $d += 1;
                    }
                    $asistencia[$k] = $estado . '_' . $identificador;
                    unset($estado);
                    unset($indicador);
                    unset($identificador);
                } else {
                    $asistencia[$k] = "F_X";
                    $malas += 1;
                }
                $k += 1;
            }
            $estadistica[0] = $correctas . '_Asistencias';
            // $estadistica[1] = $tardanza . '_Tardanza';
            $estadistica[1] = $malas . '_Faltas';
            $estadistica[2] = $ai . '_Ausencia injustificada.';
            $estadistica[3] = $aj . '_Ausencia justificada.';
            $estadistica[4] = $at . '_Atraso.';
            $estadistica[5] = $ct . '_Cambio de turno.';
            $estadistica[6] = $de . '_Distribución excepcional de Jornada.';
            $estadistica[7] = $he . '_Horas extraordinarias.';
            $estadistica[8] = $jo . '_Jornada ordinaria.';
            $estadistica[9] = $lm . '_Licencia médica.';
            $estadistica[10] = $pg . '_Permiso con goce de remuneraciones.';
            $estadistica[11] = $pr . '_Prenatal.';
            $estadistica[12] = $ps . '_Permiso sin goce de remuneraciones.';
            $estadistica[13] = $po . '_Postnatal.';
            $estadistica[14] = $sa . '_Salida anticipada.';
            $estadistica[15] = $va . '_Vacaciones.';
            $estadistica[16] = $d . '_Descanso.';
            // -----------------------------
            $mytime = Carbon::now('America/Santiago');
            $fecha = date('Y-m-01', strtotime($mytime->toDateString()));
            return view('reporte.grafico.index', [
                "mes_ac" => $mes_ac, "registro" => $registro, "dias_mes_n" => $dias_mes_n, "cant_dias" => $cant_dias,
                "dias_mes_l" => $dias_mes_l, "asistencia" => $asistencia, "dia_ac" => $dia_ac, "mes_ac" => $mes_ac, "estadistica" => $estadistica,
                "meses_disponibles" => $meses_disponibles, "anios_proximos" => $anios_proximos,  "anio_o" => $anio_o,
                "searchText" => $query, "searchText2" => $query2, "fecha"=>$fecha
            ]);
        }
    }

    public function reportegp($id, $id2)
    {
        $query = trim($id);
        $query2 = trim($id2);
        $anio = intval(date('Y'));
        $meses_disponibles = ["Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"];

        // Indicamos los datos del mes a buscar
        if ($query2 == '') {
            $anio_o = date('Y');
        } else {
            $anio_o = "$query2";
        }
        if ($query == '') {
            $mes_recibido = $anio_o . '-' . date('m');
            $cant_dias = date('t');
            $mes_actual = date('m');
            //dia_actual
            $dia_ac = date('d');
            //auxiliar para mostrar el nombre del mes
            $aux_nombre_mes = date("n");
        } else {
            for ($i = 0; $i < count($meses_disponibles); $i++) {
                if ($query == $meses_disponibles[$i]) {

                    $mes_recibido = $anio_o . '-' . ($i + 1) . "-01";
                    $aux_nombre_mes = $i + 1;
                    break;
                }
            }
            $cant_dias = date('t', strtotime($mes_recibido));
            $mes_actual = date('m', strtotime($mes_recibido));

            //dia_actual
            if ($mes_actual == date('m')) {
                $dia_ac = date('d');
            } else {
                $dia_ac = '45';
            }
            //dia_actual
            $mes_recibido = $anio_o  . '-' . date('m', strtotime($mes_recibido));
        }
        // Generamos la tabla del mes - Seleccionado
        $dias = array("DO", "LU", "MA", "MI", "JU", "VI", "SÁ");
        //mes_actual
        $mes_ac = ["Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"][$aux_nombre_mes - 1];

        for ($i = 0; $i < $cant_dias; $i++) {
            $fechats = strtotime($anio_o . '-' . $mes_actual . '-' .  ($i + 1));
            $dias_mes_n[$i] = str_pad(($i + 1), 2, "0", STR_PAD_LEFT);
            $dias_mes_l[$i] = $dias[date('w', $fechats)];
        }
        $k = 0;
        $promedio = 0;
        $empresa = DB::table('schedule as s')->join('empresa as e', 's.idEmpresa', 'e.idEmpresa')
            ->where('id', auth()->user()->idSchedule)->first();
        $registro = DB::table('registro as r')->join('usuario as u', 'r.IdUsuario', '=', 'u.IdUsuario')
            ->select(
                'FechaRegistro',
                'HoraEntrada',
                'HoraSalida',
                'u.Nombres',
                'r.estado'
            )
            ->where('FechaRegistro', 'LIKE', '%' . $mes_recibido . '%')
            ->where('u.IdUsuario', '=', auth()->user()->IdUsuario)
            ->get();

        $k += 1;
        $correctas = 0;
        $malas = 0;
        $tardanza = 0;
        $ai = 0; $aj = 0; $at = 0; $ct = 0; $de = 0; $he = 0; $jo = 0; $lm = 0; $pg = 0; $pr = 0; $ps = 0; $po = 0; $sa = 0; $va = 0; $d = 0;
        foreach ($dias_mes_n as $dn) {
            foreach ($registro as $r) {
                $fecha = date("d", strtotime($r->FechaRegistro));
                if ($fecha == $dn) {
                    $indicador = $r->HoraEntrada;
                    $estado = $r->estado;
                }
            }
            if (isset($indicador) && empty($estado)) {
                if ($indicador <= $empresa->checkinTime) {
                    $asistencia[$k] = "*";
                    $correctas += 1;
                } else {
                    $asistencia[$k] = "AT";
                    // $tardanza += 1;
                    $at += 1;
                }
                unset($indicador);
            }else if (isset($indicador) && isset($estado)) {
                if ($estado == 'A.I.') {
                    $ai += 1;
                }else if ($estado == 'A.J') {
                    $aj += 1;
                // }else if ($estado == 'AT') {
                //     $at += 1;
                }else if ($estado == 'C.T.') {
                    $ct += 1;
                }else if ($estado == 'D.E.J.') {
                    $de += 1;
                }else if ($estado == 'H.E.') {
                    $he += 1;
                }else if ($estado == 'J.O.') {
                    $jo += 1;
                }else if ($estado == 'L.M.') {
                    $lm += 1;
                }else if ($estado == 'P.G.R') {
                    $pg += 1;
                }else if ($estado == 'PREN.') {
                    $pr += 1;
                }else if ($estado == 'P.S.G.R.') {
                    $ps += 1;
                }else if ($estado == 'POSTN') {
                    $po += 1;
                }else if ($estado == 'S.A') {
                    $sa += 1;
                }else if ($estado == 'VAC') {
                    $va += 1;
                }else if ($estado == 'D') {
                    $d += 1;
                }
                $asistencia[$k] = $estado;
                unset($estado);
                unset($indicador);
            } else {
                $asistencia[$k] = "F";
                $malas += 1;
            }
            $k += 1;
        }
        $estadistica[0] = $correctas . '_Asistencias';
        $estadistica[1] = $malas . '_Faltas';
        $estadistica[2] = $ai . '_Ausencia injustificada.';
        $estadistica[3] = $aj . '_Ausencia justificada.';
        $estadistica[4] = $at . '_Atraso.';
        $estadistica[5] = $ct . '_Cambio de turno.';
        $estadistica[6] = $de . '_Distribución excepcional de Jornada.';
        $estadistica[7] = $he . '_Horas extraordinarias.';
        $estadistica[8] = $jo . '_Jornada ordinaria.';
        $estadistica[9] = $lm . '_Licencia médica.';
        $estadistica[10] = $pg . '_Permiso con goce de remuneraciones.';
        $estadistica[11] = $pr . '_Prenatal.';
        $estadistica[12] = $ps . '_Permiso sin goce de remuneraciones.';
        $estadistica[13] = $po . '_Postnatal.';
        $estadistica[14] = $sa . '_Salida anticipada.';
        $estadistica[15] = $va . '_Vacaciones.';
        $estadistica[16] = $d . '_Descanso.';

        $usuario = auth()->user()->Nombres;

        $mytime = Carbon::now('America/Santiago');
        $fecha = $mytime->toDateString();

        $pdf = \PDF::loadView('reporte/grafico.rgrafico', [
            "mes_ac" => $mes_ac, "registro" => $registro, "dias_mes_n" => $dias_mes_n, "cant_dias" => $cant_dias,
            "dias_mes_l" => $dias_mes_l, "asistencia" => $asistencia, "dia_ac" => $dia_ac, "estadistica" => $estadistica,
            "anio_o" => $anio_o, "usuario" => $usuario, "fecha" => $fecha
        ])->setPaper('a4', 'landscape');
        return $pdf->stream();
    }

    public function eliminar_descanso ($id){
        try {
            $registro = Registro::findOrFail($id);
            $registro->delete();
            return redirect()->back()->with('success', '¡Satisfactorio!, Descanso eliminado correctamente.');
        } catch (\Exception $e) {
            return redirect()->back()->with('error', '¡Error!, ' . $e->getMessage());
        }
    }

    public function r_descanso($fecha)
    {
        try {
            $usuario = DB::table('usuario as u')
                ->join('schedule as s', 'u.idSchedule', 's.id')
                ->where('IdUsuario', auth()->user()->IdUsuario)
                ->first();

            $registro = new Registro;
            $registro->LatitudEntrada = "-0.0000";
            $registro->LongitudEntrada = "-0.0000";
            $registro->FechaRegistro = $fecha;
            $registro->Consideracion = 'SINUBICACION';
            $registro->Consideracion2 = 'SINUBICACION';
            $registro->estado = 'D';
            $registro->HoraEntrada = $usuario->checkinTime;
            $registro->HoraSalida = $usuario->departureTime;
            $registro->IdUsuario = $usuario->IdUsuario;
            $registro->save();
            return redirect()->back()->with('success', '¡Satisfactorio!, Descanso Registrado Correctamente.');
        } catch (\Exception $e) {
            return redirect()->back()->with('error', '¡Error!, ' . $e->getMessage());
        }
    }
}
