<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Carbon;

class MarcacionEntrada extends Mailable
{
    use Queueable, SerializesModels;

    /**
     * Create a new message instance.
     *
     * @return void
     */

    public $subject;
    public function __construct($usuario, $informe, $empresa, $sucursal)
    {
        $mytime = Carbon::now('America/Santiago');
        $this->usuario = $usuario;
        $this->informe = $informe;
        $this->empresa = $empresa;
        $this->sucursal = $sucursal;
        $this->subject = 'Marcación de Entrada ' . date('d/m/Y', strtotime($mytime->toDateString()));
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $mytime = Carbon::now('America/Santiago');
        $fecha = $mytime->toDateString();
        return $this->view('email.entrada', ["usuario"=>$this->usuario,"informe"=>$this->informe,
        "fecha"=>$fecha, "empresa"=>$this->empresa, "sucursal"=>$this->sucursal]);
    }
}
