@extends('layouts.admin')
@section('contenido')

    {!! Form::open(['url' => route('schedule.update', $schedule->id), 'method' => 'PUT', 'autocomplete' => 'off']) !!}
    <div class="row mt-2">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    {{-- <a class="btn btn-info btn-sm" href="{{ route('usuario.index') }}">Regresar</a> --}}
                    <h5 class="modal-title" id="exampleModalLongTitle">Datos del Horario</h5>
                    <input type="hidden" name="id" value="{{ $schedule->id }}">
                </div>
                <div class="card-body">
                    <div class="row justify-content-center">
                        <div class="col-md-8">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <div class="input-group mb-3">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="fas fa-pen"></i></span>
                                            </div>
                                            <input type="text" class="form-control {{ $errors->has('name') ? 'is-invalid' : '' }}"
                                                name="name" placeholder="Nombre del Horario" value="{{ $schedule->name }}" required>
                                        </div>
                                        @if ($errors->has('name'))
                                            <div>
                                                <span class="text-danger">{{ $errors->first('name') }}</span>
                                            </div>
                                        @endif
                                    </div>

                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <div class="input-group mb-3">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="fas fa-id-card"></i></span>
                                            </div>
                                            <input type="time" class="form-control {{ $errors->has('checkinTime') ? 'is-invalid' : '' }}"
                                                name="checkinTime" value="{{ $schedule->checkinTime }}" required>
                                        </div>
                                        @if ($errors->has('checkinTime'))
                                            <div>
                                                <span class="text-danger">{{ $errors->first('checkinTime') }}</span>
                                            </div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <div class="input-group mb-3">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="fas fa-map-marker-alt"></i></span>
                                            </div>
                                            <input type="time" class="form-control" name="departureTime" value="{{ $schedule->departureTime }}" required>
                                        </div>
                                        @if ($errors->has('departureTime'))
                                            <div>
                                                <span class="text-danger">{{ $errors->first('departureTime') }}</span>
                                            </div>
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card-footer text-center">
                    <div style="margin: 0px auto 0px auto">

                        <div style="margin: 0px auto 0px auto">
                            <a href="{{ route('schedule.index') }}" type="button" class="btn btn-danger">Cancelar</a>
                            <button type="submit" class="btn btn-primary">Guardar</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    {{ Form::close() }}

@endsection
