<?php use App\Http\Controllers\ScheduleController; ?>
@extends('layouts.admin')
@section ('contenido')
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h3>Listado de Horarios</h3>
            </div>
        </div>
    </div>
</section>

@include('acceso.schedule.create')
<div class="row">
    <div class="col-12">
        <div class="card">
            @include('acceso.schedule.search')

            <!-- /.card-header -->
            <div class="card-body table-responsive p-0">
                <table class="table table-hover text-nowrap">
                    <thead style="background: #eaf3fa; color: #12446b">
                        <tr>
                            <th>Nombre</th>
                            <th>Hora Entrada</th>
                            <th>Hora Salida</th>
                            <th colspan="2">Opciones</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($schedule as $s)
                        <tr>
                            <td>{{ $s->name}}</td>
                            <td>{{ $s->checkinTime}}</td>
                            <td>{{ $s->departureTime}}</td>
                            <td align="center">
                                <a href="{{ route('schedule.edit', $s->id) }}"><i style="color: #17a2b8" class="far fa-edit"></i></a>
                            </td>
                            <td>
                                @if (!ScheduleController::validation_destroy($s->id))
                                <form action="{{route('schedule.destroy', $s->id) }}"
                                    method="POST">
                                    {!! csrf_field() !!}
                                    {!! method_field('DELETE') !!}
                                    <button class="btn btn-default borrar text-danger btn-sm"
                                        title="Eliminar Horario {{ $s->name }}"
                                        data-nombre="{{ $s->name }}"><i class="fa fa-trash"
                                            aria-hidden="true"></i></button>
                                </form>
                                @endif
                            </td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>
                {{-- <input type="text" value="{{old('IdUsuario')}}"> --}}
            </div>
            {{$schedule->appends(['searchText' => $searchText])}}
        </div>
        <!-- /.card -->
    </div>
</div>

@push ('scripts')
@if (session()->has('success'))
<script>
    $(document).ready(function() {
        Snackbar.show({text: '{{session('success')}}', actionText: 'CERRAR',
         pos: 'bottom-right', actionTextColor: '#27AE60', duration: 6000});
    });
</script>
@endif
@if (count($errors) > 0)
    <script type="text/javascript">
        $(document).ready(function(){
            if (document.getElementById('name').value !== '') {
                $('#modal-add').modal('show');
            }
        });
    </script>
@endif
@endpush
@endsection
