@extends('layouts.admin')
@section('contenido')

    {!! Form::open([
        'url' => route('empresas.update', $empresa->idEmpresa),
        'method' => 'PUT',
        'autocomplete' => 'off',
        'files' => 'true',
    ]) !!}
    <div class="row mt-2">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    {{-- <a class="btn btn-info btn-sm" href="{{ route('usuario.index') }}">Regresar</a> --}}
                    <h5 class="modal-title" id="exampleModalLongTitle">Datos de la Empresa</h5>
                    <input type="hidden" name="id" value="{{ $empresa->idEmpresa }}">
                </div>
                <div class="card-body">
                    <div class="row justify-content-center">
                        <div class="col-md-8">
                            <div class="row">
                                <div class="col-md-12">
                                    <div align="center" id="visual" height="100px" width="100px">
                                        <img src="{{ asset('logo/' . $empresa->Logo) }}" id="img" / width="100"
                                            height="100">

                                    </div>
                                    <div style="text-align: center;">
                                        <span class="btn btn-info btn-xs btn-file">
                                            <i class="fa fa-folder-open text-white" aria-hidden="true"></i>
                                            <input type="file" name="Logo" id="Logo"
                                                accept="image/png, .jpeg, .jpg, image/gif" onchange="mostrar()">
                                        </span>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="pagoHora">NOMBRE</label>
                                        <div class="input-group mb-3">

                                            <input type="text"
                                                class="form-control {{ $errors->has('nomEmpresa') ? 'is-invalid' : '' }}"
                                                name="nomEmpresa" placeholder="Nombre de la Empresa"
                                                value="{{ $empresa->nomEmpresa }}" required>
                                        </div>
                                        @if ($errors->has('nomEmpresa'))
                                            <div>
                                                <span class="text-danger">{{ $errors->first('nomEmpresa') }}</span>
                                            </div>
                                        @endif
                                    </div>

                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="pagoHora">RUT</label>
                                        <div class="input-group mb-3">

                                            <input type="text" class="form-control input-number" name="rutEmpresa"
                                                value="{{ $empresa->rutEmpresa }}" placeholder="Ejm: 30666957-5" maxlength="10" required>
                                        </div>
                                        @if ($errors->has('rutEmpresa'))
                                            <div>
                                                <span class="text-danger">{{ $errors->first('rutEmpresa') }}</span>
                                            </div>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label for="pagoHora">DIRECCIÓN</label>
                                        <div class="input-group mb-3">

                                            <input type="text" class="form-control" name="Direccion"
                                                value="{{ $empresa->Direccion }}">
                                        </div>
                                        @if ($errors->has('Direccion'))
                                            <div>
                                                <span class="text-danger">{{ $errors->first('Direccion') }}</span>
                                            </div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-lg-12">
                                    <div class="form-group">
                                        <label for="pagoHora">APERTURA DEL SISTEMA</label>
                                        <div class="input-group">
                                            <input type="time" name="AperturaSistema" id="AperturaSistema"
                                                @if (old('AperturaSistema') != '') value="{{ old('AperturaSistema') }}"
                                            @else
                                                value="{{ $empresa->AperturaSistema }}" @endif
                                                class="form-control" placeholder="Ejm: 10:00:00" required>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-12" style="display: none">
                                    <div class="form-group">
                                        <label for="pagoHora">DIAS HABILITADOS</label>
                                        @php($dias_hab = explode('_', $empresa->diasHabilitados))
                                        @php($dias = ['LU', 'MA', 'MI', 'JU', 'VI', 'SÁ', 'DO'])
                                        <div class="input-group">
                                            @foreach ($dias as $item)
                                                @php($aux = false)
                                                @foreach ($dias_hab as $item2)
                                                    @if ($item == $item2)
                                                        @php($aux = true)
                                                    @endif
                                                @endforeach
                                                {{ $item }}
                                                @if ($aux)
                                                    <input type="checkbox" id="cbox1" name="diasLaborados[]"
                                                        value="{{ $item }}" checked
                                                        style="margin-right: 15px; margin-top: 5px; margin-right: 10px">
                                                @else
                                                    <input type="checkbox" id="cbox1" name="diasLaborados[]"
                                                        value="{{ $item }}"
                                                        style="margin-right: 15px; margin-top: 5px; margin-right: 10px">
                                                @endif
                                            @endforeach
                                        </div>
                                    </div>
                                </div>
                                {{-- @if (count($errors) > 0)
                                    <div class="alert alert-danger">
                                        <ul>
                                            @php($error_create = 0)
                                            @foreach ($errors->all() as $error)
                                                <li>{{ $error }}</li>
                                            @endforeach
                                        </ul>

                                    </div>
                                @endif --}}
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card-footer text-center">
                    <div style="margin: 0px auto 0px auto">

                        <div style="margin: 0px auto 0px auto">
                            <a href="{{ route('empresas.index') }}" type="button" class="btn btn-danger">Cancelar</a>
                            <button type="submit" class="btn btn-primary">Guardar</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    {{ Form::close() }}

    <script type="text/javascript">
         $('.input-number').on('input', function() {
                this.value = this.value.replace(/[^0-9,-]/g, '');
            });
        function mostrar() {
            var archivo = document.getElementById("Logo").files[0];
            var reader = new FileReader();
            if (archivo) {
                reader.readAsDataURL(archivo);
                reader.onloadend = function() {
                    document.getElementById("img").src = reader.result;
                    document.getElementById("nombre_imagen").value = archivo.name;
                }
            } else {
                document.getElementById("img").src = "";
                document.getElementById("nombre_imagen").value = "";
            }
        }
    </script>
@endsection
