<?php use App\Http\Controllers\EmpresaController; ?>
@extends('layouts.admin')
@section('contenido')
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h3>Listado de Empresas</h3>
                </div>
            </div>
        </div>
    </section>

    @include('control.empresas.create')
    <div class="row">
        <div class="col-12">
            <div class="card">
                @include('control.empresas.search')
                <!-- /.card-header -->
                <div class="card-body table-responsive p-0">
                    <table class="table table-hover text-nowrap">
                        <thead style="background: #eaf3fa; color: #12446b">
                            <tr>
                                <th>Nombre</th>
                                <th>RUT</th>
                                <th>Dirección</th>
                                <th>Logo</th>
                                <th style="text-align: center">Apertura Sistema</th>
                                {{-- <th>Dias Habilitados</th> --}}
                                <th>Estado</th>
                                <th colspan="2">Opciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($empresa as $e)
                                <tr>
                                    <td>{{ $e->nomEmpresa }}</td>
                                    <td>{{ $e->rutEmpresa }}</td>
                                    <td title="{{ $e->Direccion }}">{{ substr($e->Direccion, 0, 25) }}
                                        {{ strlen($e->Direccion) > 25 ? '...' : '' }}</td>
                                    <td><img src="{{ asset('logo/' . $e->Logo) }}" alt="" width="100"
                                            height="80"></td>
                                    <td align="center">{{ $e->AperturaSistema }}</td>
                                    @php($dias_hab = explode('_', $e->diasHabilitados))
                                    @php($dias = ['LU', 'MA', 'MI', 'JU', 'VI', 'SÁ', 'DO'])
                                    {{-- <td>
                                @foreach ($dias as $item)
                            @php($aux = false)
                            @foreach ($dias_hab as $item2)
                                @if ($item == $item2)
                                @php($aux = true)
                                @endif
                            @endforeach
                            {{$item}}
                            @if ($aux)
                                <i class="fas fa-circle" style="margin-right: 3px;"></i>
                            @else
                                <i class="far fa-circle" style="margin-right: 3px;"></i>
                            @endif
                        @endforeach
                            </td> --}}
                                    <td>
                                        @if ($e->estadoEmpresa == 'OPERATIVO')
                                            <button class="btn estado" title="{{ $e->nomEmpresa }}"
                                                data-id="{{ $e->idEmpresa }}" data-nombre="{{ $e->nomEmpresa }}">
                                                <span class="badge badge-success">{{ $e->estadoEmpresa }}</span>
                                            @else
                                                <button class="btn estado" title="{{ $e->nomEmpresa }}"
                                                    data-id="{{ $e->idEmpresa }}" data-nombre="{{ $e->nomEmpresa }}">
                                                    <span class="badge badge-danger">{{ $e->estadoEmpresa }}</span>
                                        @endif
                                    </td>
                                    <td align="center">
                                        <a href="{{ route('empresas.edit', $e->idEmpresa) }}"><i style="color: #17a2b8"
                                                class="far fa-edit"></i></a>
                                    </td>
                                    <td>
                                        @if (EmpresaController::validation_destroy($e->idEmpresa))
                                            <form action="{{ route('empresas.destroy', $e->idEmpresa) }}" method="POST">
                                                {!! csrf_field() !!}
                                                {!! method_field('DELETE') !!}
                                                <button class="btn btn-default borrar text-danger btn-sm"
                                                    title="Eliminar Empresa {{ $e->nomEmpresa }}"
                                                    data-nombre="{{ $e->nomEmpresa }}"><i class="fa fa-trash"
                                                        aria-hidden="true"></i></button>
                                            </form>
                                        @endif
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                    {{-- <input type="text" value="{{old('IdUsuario')}}"> --}}
                </div>
                {{ $empresa->appends(['searchText' => $searchText]) }}
            </div>
            <!-- /.card -->
        </div>
    </div>

    <script type="text/javascript">
        function mostrar() {
            var archivo = document.getElementById("Logo").files[0];
            var reader = new FileReader();
            if (archivo) {
                reader.readAsDataURL(archivo);
                reader.onloadend = function() {
                    document.getElementById("img").src = reader.result;
                    document.getElementById("nombre_imagen").value = archivo.name;
                }
            } else {
                document.getElementById("img").src = "";
                document.getElementById("nombre_imagen").value = "";
            }
        }
    </script>
    @push('scripts')
        @if (count($errors) > 0)
            <script type="text/javascript">
                $(document).ready(function() {
                    $('#modal-add').modal('show');
                });
            </script>
        @endif
        @if (session()->has('success'))
            <script>
                $(document).ready(function() {
                    Snackbar.show({
                        text: '{{ session('success') }}',
                        actionText: 'CERRAR',
                        pos: 'bottom-right',
                        actionTextColor: '#27AE60',
                        duration: 6000
                    });
                });
            </script>
        @endif
        <script>
            $('.input-number').on('input', function() {
                this.value = this.value.replace(/[^0-9,-]/g, '');
            });

            $('.estado').unbind().click(function() {
                var $button = $(this);
                var data_nombre = $button.attr('data-nombre');
                var data_id = $button.attr('data-id');

                Swal.fire({
                    title: '¿Desea cambiar el estado de la empresa ' + data_nombre + '?',
                    showDenyButton: true,
                    confirmButtonText: `Cambiar`,
                    denyButtonText: `Cancelar`,
                }).then((result) => {
                    /* Read more about isConfirmed, isDenied below */
                    if (result.isConfirmed) {
                        var d = '{{ URL::action('EmpresaController@show', 0) }}' + data_id
                        window.location.href = d;
                    }
                    // else if (result.isDenied) {
                    //     Swal.fire('No se realizó ningún cambio', '', 'info')
                    // }
                })
                return false;
            });
        </script>
    @endpush
@endsection
