<?php use App\Http\Controllers\InformeController; ?>
@extends('layouts.admin')
@Section('contenido')
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h3>Crear Registro</h3>
                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>
    {{-- {!! Form::open(['url' => 'dashboard-administrador', 'method' => 'POST', 'autocomplete' => 'off']) !!}
{{ Form::token() }} --}}
    <form action="{{ url('dashboard-administrador')}}"  method="POST" id="form1">
        @csrf
        <div class="row">
            {{-- <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12"> --}}
            @if (Session::has('error_create'))
                <div class="col-lg-12 col-6">
                    <div class="alert" style="background: #f8dbdb" role="alert">
                        <ul>
                            <li>{{ Session::get('error_create') }}</li>
                        </ul>
                    </div>
                </div>
            @endif
            @if (count($errors) > 0)
                <div class="col-lg-12 col-6">
                    <div class="alert" style="background: #f8dbdb" role="alert">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                </div>
            @endif
            <div class="col-lg-6 col-12">
                <div class="form-group">
                    <label for="IdUsuario">Personal</label>
                    <select name="IdUsuario" id="IdUsuario" class="form-control" required>
                        <option value="" selected hidden>Seleccionar</option>
                        @foreach ($usuario as $item)
                            <option value="{{ $item->IdUsuario }}_{{ $item->checkinTime }}_{{ $item->departureTime }}">
                                {{ $item->Nombres }} </option>
                        @endforeach
                    </select>
                </div>
            </div>
            @php(
                $estadoRegistro = [
                    'A.I.' => 'Ausencia injustificada.',
                    'A.J' => 'Ausencia justificada.',
                    // 'AT' => 'Atraso.',
                    'C.T.' => 'Cambio de turno.',
                    'D.E.J.' => 'Distribución excepcional de Jornada.',
                    'H.E.' => 'Horas extraordinarias.',
                    'J.O.' => 'Jornada ordinaria.',
                    'L.M.' => 'Licencia médica.',
                    'P.G.R' => 'Permiso con goce de remuneraciones.',
                    'PREN.' => 'Prenatal.',
                    'P.S.G.R.' => 'Permiso sin goce de remuneraciones.',
                    'POSTN' => 'Postnatal.',
                    'S.A' => 'Salida anticipada.',
                    'VAC' => 'Vacaciones.'])
            <div class="col-lg-6 col-12">
                <div class="form-group">
                    <label for="Estado">Estado</label>
                    <select name="Estado" class="form-control Estado">
                        @foreach ($estadoRegistro as $key => $item)
                            <option value="{{ $key }}">{{ $item }}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            {{-- <div class="col-lg-6 col-12">
            <div class="form-group">
            	<label for="Estado">Estado</label>
            	<select name="Estado"  class="form-control">
                    <option value="V">VACACIÓN</option>
                    <option value="PP">PERMISO PAGADO</option>
                    <option value="PSGH">PERMISO SIN GOCE DE HABER</option>
                </select>
            </div>
        </div> --}}
            <div class="col-lg-6 col-12">
                <div class="form-group">
                    <label for="FechaInicio">Fecha Inicio</label>
                    <input type="date" name="FechaInicio" class="form-control" value="{{ $fecha }}">
                </div>
            </div>
            <div class="col-lg-6 col-12">
                <div class="form-group">
                    <label for="FechaFinal">Fecha Final</label>
                    <input type="date" name="FechaFinal" class="form-control" value="{{ $fecha }}">
                </div>
            </div>
            <div class="col-lg-6 col-12">
                <div class="form-group">
                    <label for="HoraEntrada">Hora de Entrada</label>
                    <input type="time" id="HoraEntrada" name="HoraEntrada" class="form-control" required>
                </div>
            </div>
            <div class="col-lg-6 col-12">
                <div class="form-group">
                    <label for="HoraSalida">Hora de Salida</label>
                    <input type="time" id="HoraSalida" name="HoraSalida" class="form-control" required>
                </div>
            </div>
            {{-- <div class="form-group">
            	<label for="Observacion">Observación</label><br>
                <textarea name="Observacion" id="" cols="30" rows="3"
                style="resize: none;" class="form-control"
                placeholder="Observación o Justificación de la Asistencia."></textarea>
            </div> --}}

            <div class="form-group">
                <a href="{{ asset('dashboard-administrador') }}" class="btn btn-danger">Cancelar</a>
                {{-- <a href="#" class="btn btn-primary guardar">Crear Registro</a> --}}
                <button class="btn btn-primary" type="submit">Registrar</button>
            </div>
            {{-- </div> --}}
        </div>
    </form>
    {{-- {!!Form::close()!!} --}}
    {{-- <script>
    const selectElement = document.querySelector('.Estado');
    selectElement.addEventListener('change', (event) => {

        if(event.target.value.toString() === 'VT' || event.target.value.toString() === 'BH' || event.target.value.toString() === 'FE' || event.target.value.toString() === 'S' || event.target.value.toString() === 'DE' || event.target.value.toString() === 'W'){
            document.getElementById('HoraEntrada').style.display = 'none';
            document.getElementById('HoraSalida').style.display = 'none';
        }else{
            document.getElementById('HoraEntrada').style.display = 'block';
            document.getElementById('HoraSalida').style.display = 'block';
        }

    });
</script> --}}
    @push('scripts')
        <script>
            document.querySelector('#form1').addEventListener('submit', function(e) {
                var form = this;
                e.preventDefault(); // <--- prevent form from submitting
                //   var data_nombre = $button.attr('data-nombre');
                Swal.fire({
                    title: 'Se require confirmación de registro!',
                    showDenyButton: true,
                    icon: 'warning',
                    text: 'Recuerde que no podrá MODIFICAR este registro',
                    confirmButtonText: `Confirmar`,
                    denyButtonText: `Cancelar`,
                    customClass: 'swal-wide',
                }).then((result) => {
                    /* Read more about isConfirmed, isDenied below */
                    // if (result.isConfirmed) {
                    //     $("#enviar").click();
                    // } else if (result.isDenied) {
                    //   Swal.fire('No se agregó ninguna registro.', '', 'info')
                    // }
                    if (result.isConfirmed) {
                        form.submit(); // <--- submit form programmatically
                    }
                })


            });
        </script>
        <script>
            const idUsuario = document.querySelector('#IdUsuario');
            idUsuario.addEventListener('change', (event) => {
                const horario = event.target.value.toString().split("_");
                document.getElementById('HoraEntrada').value = horario[1];
                document.getElementById('HoraSalida').value = horario[2];

            });
        </script>
    @if (Session::has('error'))
        <script>
            toastr.error('{{ Session::get('error') }}', '¡Error!',  { "positionClass" : "toast-top-right"})
        </script>
    @endif

    @endpush
@endsection
