<?php use App\Http\Controllers\InformeController; ?>
<?php use App\Http\Controllers\RegistroController; ?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Marcación de salida</title>
    <style>
        .table{
            width: 100%;
        }
    </style>
</head>
<body>
    <div
        style="background: #163864; color: #ffffff; text-align: center; padding: 5px; font-weight: bold; font-size: 1.3em">
        <span>Control de Asistencia Diaria</span>
    </div>
    <table class="table">
        <tr>
            <td style="border: none">
                Empresa: {{ $empresa->nomEmpresa }} <br>
                RUT Empresa: {{ $empresa->rutEmpresa }} <br>
                Dirección Comercial: {{ $sucursal->address }}
            </td>
            <td align="right" style="border: none">
                @php($nombre_fichero = public_path('logo/' . $empresa->Logo))
                @if (file_exists($nombre_fichero) && !empty($empresa->Logo))
                    <img src="{{asset('logo/' . $empresa->Logo)}}" alt="" width="80" height="80">
                @endif
            </td>
        </tr>
    </table>


    <div style="background: #163864; color: #ffffff;
    text-align: center; padding: 10px">
        <span>Informe de {{ InformeController::fechaCastellano($informe->FechaRegistro) }} </span>
    </div>
    <div>
        <p>
            <span style="font-size: 1.5em">{{ $usuario->Nombres }}</span>
            <span style="float: right">{{ InformeController::fechaCastellano($fecha) }}</span>
        </p>
    </div>
    <table>
        <tbody>
            <tr>
                <td style="font-weight: bold">Hora Salida: </td>
                <td> <span>
                    @if (isset($informe->HoraSalida))
                        {{$informe->HoraSalida}}
                    @endif
                </span></td>

            </tr>
            <tr>
                <td style="font-weight: bold">Ubicación Salida: </td>
                <td>
                    <span>
                        @if (isset($informe->HoraSalida))
                        <a href="https://www.google.com/maps/search/{{$informe->LatitudSalida}},{{$informe->LongitudSalida}}">
                        {{$informe->LatitudSalida}},{{$informe->LongitudSalida}}</a>
                        @else
                            No tiene registrado la Salida
                        @endif
                    </span>
                </td>
            </tr>
            <tr>
                <td style="font-weight: bold">Consideración Salida: </td>
                <td>
                    @if ($informe->Consideracion2 == 'CORRECTO')
                        <span style="color: #0a7a22; font-weight: bold">
                    @else
                        <span style="color: #ad211c; font-weight: bold">
                    @endif
                        {{$informe->Consideracion2}}</span>
                </td>
            </tr>
            <tr>
                <td style="font-weight: bold">Captura Salida: </td>
                <td>
                    @if (!empty($informe->capturaSalida))
                        <img src="{{asset('capturas_asistencia/'. $informe->capturaSalida)}}" alt="" width="160" height="130">
                    @endif
                </td>
            </tr>
            <tr>
                <td style="font-weight: bold">Tiempo Laborado: </td>
                <td>
                    <span>
                        @if (isset($informe->HoraSalida))
                        {{RegistroController::RestarHoras($informe->HoraEntrada, $informe->HoraSalida)}}
                        @else
                            No tiene registrado la Salida
                        @endif
                    </span>
                </td>
            </tr>
            <tr>
                <td style="font-weight: bold">Hora Extra: </td>
                <td>
                    <span>
                        @if (isset($informe->HoraSalida) && $informe->HoraSalida > $empresa->departureTime)
                        {{RegistroController::RestarHoras($informe->HoraSalida, $empresa->departureTime)}}
                        @endif
                    </span>
                </td>
            </tr>
        </tbody>
    </table>
</body>
</html>
