<?php use App\Http\Controllers\InformeController; ?>

<?php $__env->startSection('contenido'); ?>
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h3>Crear Registro</h3>
                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>
    
    <form action="<?php echo e(url('dashboard-administrador')); ?>"  method="POST" id="form1">
        <?php echo csrf_field(); ?>
        <div class="row">
            
            <?php if(Session::has('error_create')): ?>
                <div class="col-lg-12 col-6">
                    <div class="alert" style="background: #f8dbdb" role="alert">
                        <ul>
                            <li><?php echo e(Session::get('error_create')); ?></li>
                        </ul>
                    </div>
                </div>
            <?php endif; ?>
            <?php if(count($errors) > 0): ?>
                <div class="col-lg-12 col-6">
                    <div class="alert" style="background: #f8dbdb" role="alert">
                        <ul>
                            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><?php echo e($error); ?></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                </div>
            <?php endif; ?>
            <div class="col-lg-6 col-12">
                <div class="form-group">
                    <label for="IdUsuario">Personal</label>
                    <select name="IdUsuario" id="IdUsuario" class="form-control" required>
                        <option value="" selected hidden>Seleccionar</option>
                        <?php $__currentLoopData = $usuario; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($item->IdUsuario); ?>_<?php echo e($item->checkinTime); ?>_<?php echo e($item->departureTime); ?>">
                                <?php echo e($item->Nombres); ?> </option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>
            </div>
            <?php (
                $estadoRegistro = [
                    'A.I.' => 'Ausencia injustificada.',
                    'A.J' => 'Ausencia justificada.',
                    // 'AT' => 'Atraso.',
                    'C.T.' => 'Cambio de turno.',
                    'D.E.J.' => 'Distribución excepcional de Jornada.',
                    'H.E.' => 'Horas extraordinarias.',
                    'J.O.' => 'Jornada ordinaria.',
                    'L.M.' => 'Licencia médica.',
                    'P.G.R' => 'Permiso con goce de remuneraciones.',
                    'PREN.' => 'Prenatal.',
                    'P.S.G.R.' => 'Permiso sin goce de remuneraciones.',
                    'POSTN' => 'Postnatal.',
                    'S.A' => 'Salida anticipada.',
                    'VAC' => 'Vacaciones.']); ?>
            <div class="col-lg-6 col-12">
                <div class="form-group">
                    <label for="Estado">Estado</label>
                    <select name="Estado" class="form-control Estado">
                        <?php $__currentLoopData = $estadoRegistro; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($key); ?>"><?php echo e($item); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>
            </div>
            
            <div class="col-lg-6 col-12">
                <div class="form-group">
                    <label for="FechaInicio">Fecha Inicio</label>
                    <input type="date" name="FechaInicio" class="form-control" value="<?php echo e($fecha); ?>">
                </div>
            </div>
            <div class="col-lg-6 col-12">
                <div class="form-group">
                    <label for="FechaFinal">Fecha Final</label>
                    <input type="date" name="FechaFinal" class="form-control" value="<?php echo e($fecha); ?>">
                </div>
            </div>
            <div class="col-lg-6 col-12">
                <div class="form-group">
                    <label for="HoraEntrada">Hora de Entrada</label>
                    <input type="time" id="HoraEntrada" name="HoraEntrada" class="form-control" required>
                </div>
            </div>
            <div class="col-lg-6 col-12">
                <div class="form-group">
                    <label for="HoraSalida">Hora de Salida</label>
                    <input type="time" id="HoraSalida" name="HoraSalida" class="form-control" required>
                </div>
            </div>
            

            <div class="form-group">
                <a href="<?php echo e(asset('dashboard-administrador')); ?>" class="btn btn-danger">Cancelar</a>
                
                <button class="btn btn-primary" type="submit">Registrar</button>
            </div>
            
        </div>
    </form>
    
    
    <?php $__env->startPush('scripts'); ?>
        <script>
            document.querySelector('#form1').addEventListener('submit', function(e) {
                var form = this;
                e.preventDefault(); // <--- prevent form from submitting
                //   var data_nombre = $button.attr('data-nombre');
                Swal.fire({
                    title: 'Se require confirmación de registro!',
                    showDenyButton: true,
                    icon: 'warning',
                    text: 'Recuerde que no podrá MODIFICAR este registro',
                    confirmButtonText: `Confirmar`,
                    denyButtonText: `Cancelar`,
                    customClass: 'swal-wide',
                }).then((result) => {
                    /* Read more about isConfirmed, isDenied below */
                    // if (result.isConfirmed) {
                    //     $("#enviar").click();
                    // } else if (result.isDenied) {
                    //   Swal.fire('No se agregó ninguna registro.', '', 'info')
                    // }
                    if (result.isConfirmed) {
                        form.submit(); // <--- submit form programmatically
                    }
                })


            });
        </script>
        <script>
            const idUsuario = document.querySelector('#IdUsuario');
            idUsuario.addEventListener('change', (event) => {
                const horario = event.target.value.toString().split("_");
                document.getElementById('HoraEntrada').value = horario[1];
                document.getElementById('HoraSalida').value = horario[2];

            });
        </script>
    <?php if(Session::has('error')): ?>
        <script>
            toastr.error('<?php echo e(Session::get('error')); ?>', '¡Error!',  { "positionClass" : "toast-top-right"})
        </script>
    <?php endif; ?>

    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/enlazase/public_html/horario/resources/views/dashboard-administrador/create.blade.php ENDPATH**/ ?>