<?php use App\Http\Controllers\InformeController; ?>
<?php use App\Http\Controllers\RegistroController; ?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <title>Informe de Asistencias</title>
    <style>
        body{
            font-family: Arial, Helvetica, sans-serif;
            font-size: 0.75em;
        }
        table {
            margin-left: auto;
            margin-right: auto;
            border-collapse: collapse;
            border-color: rgb(0, 0, 0);
            width: 100%;
        }
        td {
            padding: 3px; border: 1px solid rgb(37, 87, 134);
        }
        th {
            padding: 3px; border: 1px solid rgb(37, 87, 134);
            background: #eaf3fa;
            color: #12446b;
        }
        .data{
        float: right;
        margin: 2% 0% 0% 0%;
        }
    </style>
</head>
<body>
    <div>
        <img src="../public/logo/<?php echo e($empresa->Logo); ?>" alt="" width="80" height="80">
        <p class="data">
            <?php echo e($empresa->nomEmpresa); ?> <br>
            <?php echo e($empresa->Direccion); ?>

        </p>
    </div>
    <div class="encabezado" style="background: #163864; color: #ffffff;
    text-align: center; padding: 10px">
        <span>Informe del <?php echo e(InformeController::fechaCastellano($id)); ?> al <?php echo e(InformeController::fechaCastellano($id2)); ?></span>
    </div>

    <div>
        <p>
            <?php if($id3 != ''): ?>
                <?php echo e($id3); ?>

            <?php endif; ?>
            .
            <span style="float: right">
                <?php echo e(InformeController::fechaCastellano($fecha)); ?>

                
            </span></p>
    </div>

    <table>
        <thead>
            <tr>
                <th>N°</th>
                <?php if($id3 == ''): ?>
                <th>Nombres</th>
                <?php endif; ?>
                <th>Fecha Entrada</th>
                <th>H. Entrada</th>
                <th>Ubic. Entrada</th>
                <th>H. Salida</th>
                <th>Ubic. Salida</th>
                <th>Tardanza</th>
                <th>T. Laborado</th>
            </tr>
        </thead>
        <tbody>
            <?php ($i = 0); ?>
            <?php ($correcto = 0); ?>
            <?php ($incorrecto = 0); ?>
            <?php ($correcto2 = 0); ?>
            <?php ($incorrecto2 = 0); ?>
            <?php ($total_demora = 0); ?>
            <?php ($horas_laboradas = 0); ?>
            <?php $__currentLoopData = $informe; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php ($tardanza = '0000-00-00'); ?>
            <tr>
                <td><?php echo e($i +=1); ?></td>
                
                <?php if($id3 == ''): ?>
                <?php ($nom = explode(' ', $item->Nombres)); ?>
                <td>
                    <?php if(count($nom) > 2): ?>
                        <?php echo e($nom[0]); ?> <?php echo e($nom[1]); ?>

                    <?php else: ?>
                        <?php echo e($item->Nombres); ?>

                    <?php endif; ?>
                </td>
                <?php endif; ?>
                <td>
                    <?php echo e(InformeController::fechaCastellano($item->FechaRegistro)); ?>

                    <?php if($item->EncargadoUpdt): ?>
                        <span style="color: #db6606; font-weight: bold">M</span>
                    <?php endif; ?>
                </td>
                <td align="center"><?php echo e($item->HoraEntrada); ?> </td>
                <td>
                    <?php if($item->Consideracion == 'CORRECTO'): ?>
                    <span style="color: #2b905d">
                        <?php echo e($item->Consideracion); ?>

                    </span>
                        <?php ($correcto +=1); ?>
                    <?php else: ?>
                        <span style="color: #f03f3f">F. DE RANGO</span>
                        <?php ($incorrecto +=1); ?>
                    <?php endif; ?>
                </td>
                <td align="center">
                    <?php if(isset($item->HoraSalida)): ?>
                        <?php echo e($item->HoraSalida); ?>

                    <?php else: ?>
                        ...
                    <?php endif; ?>

                </td>
                <td>
                    <?php if(isset($item->Consideracion2)): ?>
                        <?php if($item->Consideracion2 == 'CORRECTO'): ?>
                            <span style="color: #2b905d"><?php echo e($item->Consideracion2); ?></span>
                            <?php ($correcto2 +=1); ?>
                        <?php else: ?>
                            <span style="color: #f03f3f">F. DE RANGO</span>
                            <?php ($incorrecto2 +=1); ?>
                        <?php endif; ?>
                    <?php else: ?>
                        ...
                    <?php endif; ?>
                </td>
                <td align="center">
                    <?php if($item->HoraEntrada <= $empresa->HoraEntrada): ?>
                        <span>...</span>
                    <?php else: ?>
                    <span style="color: #f03f3f"><?php echo e(RegistroController::RestarHoras($item->HoraEntrada, $empresa->HoraEntrada)); ?>

                    </span>
                    <?php ($m = explode(":", RegistroController::RestarHoras($item->HoraEntrada, $empresa->HoraEntrada))); ?>
                    <?php ($total_demora += ($m[0] * 3600) + ($m[1] * 60) + $m[2]); ?>
                    <?php endif; ?>
                </td>
                <td align="center">
                    <?php if(isset($item->HoraSalida)): ?>
                        <?php echo e(RegistroController::RestarHoras($item->HoraEntrada, $item->HoraSalida)); ?>

                        <?php ($m2 = explode(":", RegistroController::RestarHoras($item->HoraEntrada, $item->HoraSalida))); ?>
                        <?php ($horas_laboradas += ($m2[0] * 3600) + ($m2[1] * 60) + $m2[2]); ?>
                    <?php else: ?>
                    <span>...</span>
                    <?php endif; ?>
                </td>
            </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <tr>
                <?php if($id3 == ''): ?>
                <td colspan="4" style="border: 0px"></td>
                <?php else: ?>
                <td colspan="3" style="border: 0px"></td>
                <?php endif; ?>

                <td align="center"><?php echo e($correcto); ?> C. / <?php echo e($incorrecto); ?> F.</td>
                <td style="border: 0px">
                </td>
                <td align="center"><?php echo e($correcto2); ?> C. / <?php echo e($incorrecto2); ?> F.</td>
                <td align="center"><b>
                    <?php echo e(InformeController::conversor_segundos  ($total_demora)); ?></b></td>
                <td align="center"><b>
                    <?php echo e(InformeController::conversor_segundos  ($horas_laboradas)); ?></b></td>
            </tr>
            <tr>
                <?php if($id3 == ''): ?>
                <td colspan="7" style="border: 0px"></td>
                <?php else: ?>
                <td colspan="6" style="border: 0px"></td>
                <?php endif; ?>
                <td align="center"><b>Pago T. Laborado</b></td>
                <td align="center">
                    <b>
                        <?php ($m3 = explode(":",InformeController::conversor_segundos  ($horas_laboradas))); ?>
                        <?php echo e(number_format( ($m3[0] + ($m3[1]/60) + ($m3[2]/3600)) * $empresa->pagoHora, 2)); ?>

                    </b>
                </td>
            </tr>
            <tr>
                <?php if($id3 == ''): ?>
                <td colspan="7" style="border: 0px"></td>
                <?php else: ?>
                <td colspan="6" style="border: 0px"></td>
                <?php endif; ?>
                <td align="center"><b>Desc. Tardanza</b></td>
                <td align="center">
                    <b>
                        <?php ($m5 = explode(":",InformeController::conversor_segundos  ($total_demora))); ?>
                        <?php echo e(number_format( ($m5[0] + ($m5[1]/60) + ($m5[2]/3600)) * $empresa->pagoHora, 2)); ?>

                    </b>
                </td>
            </tr>
            <tr>
                <?php if($id3 == ''): ?>
                <td colspan="7" style="border: 0px"></td>
                <?php else: ?>
                <td colspan="6" style="border: 0px"></td>
                <?php endif; ?>
                <td align="center"><b>Monto a Pagar </b></td>
                <td align="center">
                    <b>
                        <?php ($m4 = explode(":",InformeController::conversor_segundos  ($horas_laboradas-$total_demora))); ?>
                        <?php echo e(number_format( ($m4[0] + ($m4[1]/60) + ($m4[2]/3600)) * $empresa->pagoHora, 2)); ?>

                    </b>
                </td>
            </tr>
        </tbody>
    </table>
</body>
</html>
<?php /**PATH C:\SysWeb\sysasistencia\resources\views/asistencia/informe/rango.blade.php ENDPATH**/ ?>