<!DOCTYPE html>
<!--
This is a starter template page. Use this page to start your new project from
scratch. This page gets rid of all links and provides the needed markup only.
-->
<html lang="es">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Sistema de Asistencia</title>
    <link rel="icon" type="image/png" href="<?php echo e(asset('images/img-02.ico')); ?>" />
    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome Icons -->
    <link rel="stylesheet" href="<?php echo e(asset('plugins/fontawesome-free/css/all.min.css')); ?>">
    <!-- Theme style -->
    <link rel="stylesheet" href="<?php echo e(asset('dist/css/adminlte.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('dist/css/adicional.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('dist/sweetalert2/sweetalert2.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('plugins/notification/snackbar/snackbar.min.css')); ?>" type="text/css" />
    <link rel="stylesheet" href="<?php echo e(asset('dist/css/toastr.css')); ?>">
</head>

<body class="hold-transition sidebar-mini">
    <div class="wrapper">

        <!-- Navbar -->
        <nav class="main-header navbar navbar-expand navbar-dark navbar-light">
            <!-- Left navbar links -->
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i
                            class="fas fa-bars"></i></a>
                </li>

            </ul>


            <!-- SEARCH FORM -->
            

            <!-- Right navbar links -->
            <ul class="navbar-nav ml-auto">
                <?php if(isset($alert->HoraEntrada)): ?>
                    <?php if(auth()->user()->TipoUsuario == 'PERSONAL' && $alert->HoraSalida == null): ?>
                        <!-- Messages Dropdown Menu -->
                        <li class="nav-item dropdown">
                            <a class="nav-link" data-toggle="dropdown" href="#">
                                <i class="fas fa-exclamation-triangle" style="color: #ffe600"></i>
                                
                            </a>
                            <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                                <a href="<?php echo e(asset('asistencia/registro')); ?>" class="dropdown-item">
                                    <!-- Message Start -->
                                    <div class="media">
                                        
                                        
                                        <div class="media-body">
                                            <h3 class="dropdown-item-title">
                                                Aún no registró su salida!
                                                <span class="float-right text-sm text-danger"><i
                                                        class="fas fa-exclamation-triangle"
                                                        style="color: #d33b3b"></i></span>
                                            </h3>
                                            <p class="text-sm">
                                            </p>
                                            <p class="text-sm text-muted"><i
                                                    class="fas fa-sign-out-alt"></i></i>Registrar Salida</p>
                                        </div>
                                    </div>
                                    <!-- Message End -->
                                </a>
                            </div>
                        </li>
                    <?php endif; ?>
                <?php endif; ?>
                <!-- Notifications Dropdown Menu -->
                <li class="nav-item dropdown">
                    <a class="nav-link" data-toggle="dropdown" href="#">
                        <i class="fas fa-sort-down"></i>

                    </a>
                    <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                        <span class="dropdown-header"><?php echo e(auth()->user()->Nombres); ?></span>
                        <div class="dropdown-divider"></div>

                        <div class="dropdown-divider"></div>
                        <form method="POST" action="<?php echo e(route('logout')); ?>">
                            <?php echo e(csrf_field()); ?>

                            <button class="dropdown-item dropdown-footer">
                                Cerrar Sesión <i class="fas fa-sign-out-alt" style="margin-left: 1em"></i></button>
                        </form>
                    </div>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-widget="fullscreen" href="#" role="button">
                        <i class="fas fa-expand-arrows-alt"></i>
                    </a>
                </li>

            </ul>
        </nav>
        <!-- /.navbar -->

        <!-- Main Sidebar Container -->
        <aside class="main-sidebar sidebar-dark-info elevation-4">
            <!-- Brand Logo -->
            <?php if(auth()->user()->TipoUsuario == 'PERSONAL'): ?>
                <a href="<?php echo e(asset('asistencia/registro')); ?>" class="brand-link">
                <?php else: ?>
                    <a href="<?php echo e(asset('dashboard-administrador')); ?>" class="brand-link">
            <?php endif; ?>
            
            <span class="brand-text font-weight-light">Sistema de Asistencia</span>
            </a>

            <!-- Sidebar -->
            <div class="sidebar">
                <!-- Sidebar user panel (optional) -->
                <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                    <div class="image">
                        <?php if(auth()->user()->foto != ''): ?>
                            <img src="<?php echo e(asset('Imagen/' . auth()->user()->foto)); ?>" class="img-circle elevation-2"
                                alt="User Image">
                        <?php endif; ?>
                    </div>
                    <div class="info">
                        <?php ($m = explode(' ', auth()->user()->Nombres)); ?>
                        <?php if(count($m) > 2): ?>
                            <a href="#" class="d-block"><?php echo e($m[0] . ' ' . $m[1]); ?></a>
                        <?php else: ?>
                            <a href="#" class="d-block"><?php echo e(auth()->user()->Nombres); ?></a>
                        <?php endif; ?>
                    </div>
                </div>

                <!-- SidebarSearch Form -->
                

                <!-- Sidebar Menu -->
                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu"
                        data-accordion="false">
                        <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
                        <?php if(auth()->user()->TipoUsuario == 'ADMINISTRADOR'): ?>
                            <li class="nav-item">
                                <a href="<?php echo e(asset('dashboard-administrador')); ?>"
                                    class="nav-link
            <?php echo e('dashboard-administrador' == request()->segment(1) ? 'active' : ''); ?>">
                                    <i class="nav-icon fas fa-th"></i>
                                    <p>
                                        Panel de Control
                                        
                                    </p>
                                </a>
                            </li>
                            <li class="nav-item menu-open">
                                <a href="#"
                                    class="nav-link <?php echo e('asistencia' == request()->segment(1) ? 'active' : ''); ?>">
                                    <i class="nav-icon fas fa-tachometer-alt"></i>
                                    <p>
                                        Asistencia
                                        <i class="right fas fa-angle-left"></i>
                                    </p>
                                </a>
                                <ul class="nav nav-treeview">
                                    <li class="nav-item">
                                        <a href="<?php echo e(asset('asistencia/informe_global')); ?>"
                                            class="nav-link <?php echo e('informe_global' == request()->segment(2) ? 'active' : ''); ?>">
                                            <i class="far fa-circle nav-icon"></i>
                                            <p>Informe General</p>
                                        </a>
                                    </li>
                                    <li class="nav-item">
                                        <a href="<?php echo e(asset('asistencia/reporte_mensual')); ?>"
                                            class="nav-link <?php echo e('reporte_mensual' == request()->segment(2) ? 'active' : ''); ?>">
                                            <i class="far fa-circle nav-icon"></i>
                                            <p>Reporte Mensual</p>
                                        </a>
                                    </li>
                                </ul>
                            </li>
                            <li class="nav-item menu-open">
                                <a href="#" class="nav-link <?php echo e('caja' == request()->segment(1) ? 'active' : ''); ?>">
                                    <i class=" nav-icon fas fa-cash-register"></i>
                                    <p>
                                        Caja
                                        <i class="right fas fa-angle-left"></i>
                                    </p>
                                </a>
                                <ul class="nav nav-treeview">
                                    <li class="nav-item">
                                        <a href="<?php echo e(asset('caja/pago')); ?>"
                                            class="nav-link <?php echo e('pago' == request()->segment(2) ? 'active' : ''); ?>">
                                            <i class="far fa-circle nav-icon"></i>
                                            <p>Pagos</p>
                                        </a>
                                    </li>

                                </ul>
                            </li>
                            <li class="nav-item menu-open">
                                <a href="#" class="nav-link <?php echo e('acceso' == request()->segment(1) ? 'active' : ''); ?>">
                                    <i class=" nav-icon fas fa-user-cog"></i>
                                    <p>
                                        Acceso
                                        <i class="right fas fa-angle-left"></i>
                                    </p>
                                </a>
                                <ul class="nav nav-treeview">
                                    <li class="nav-item">
                                        <a href="<?php echo e(asset('acceso/usuarios')); ?>"
                                            class="nav-link <?php echo e('usuarios' == request()->segment(2) ? 'active' : ''); ?>">
                                            <i class="far fa-circle nav-icon"></i>
                                            <p>Usuarios</p>
                                        </a>
                                    </li>
                                    <li class="nav-item">
                                        <a href="<?php echo e(asset('acceso/schedule')); ?>"
                                            class="nav-link <?php echo e('schedule' == request()->segment(2) ? 'active' : ''); ?>">
                                            <i class="far fa-circle nav-icon"></i>
                                            <p>Horario</p>
                                        </a>
                                    </li>
                                    <li class="nav-item">
                                        <a href="<?php echo e(asset('acceso/branchoffice')); ?>"
                                            class="nav-link <?php echo e('branchoffice' == request()->segment(2) ? 'active' : ''); ?>">
                                            <i class="far fa-circle nav-icon"></i>
                                            <p>Sucursal</p>
                                        </a>
                                    </li>
                                </ul>
                            </li>
                            <li class="nav-item menu-open">
                                <a href="#"
                                    class="nav-link <?php echo e('configuracion' == request()->segment(1) ? 'active' : ''); ?>">
                                    <i class="nav-icon fas fa-tools"></i>
                                    <p>
                                        Configuración
                                        <i class="right fas fa-angle-left"></i>
                                    </p>
                                </a>
                                <ul class="nav nav-treeview">
                                    <li class="nav-item">
                                        <a href="<?php echo e(asset('configuracion/mi_perfil')); ?>"
                                            class="nav-link <?php echo e('mi_perfil' == request()->segment(2) ? 'active' : ''); ?>">
                                            <i class="far fa-circle nav-icon"></i>
                                            <p>Mi perfil</p>
                                        </a>
                                    </li>
                                    <li class="nav-item">
                                        <a href="<?php echo e(asset('configuracion/empresa')); ?>"
                                            class="nav-link <?php echo e('empresa' == request()->segment(2) ? 'active' : ''); ?>">
                                            <i class="far fa-circle nav-icon"></i>
                                            <p>Ajustes</p>
                                        </a>
                                    </li>


                                </ul>
                            </li>
                        <?php elseif(auth()->user()->TipoUsuario == 'PERSONAL'): ?>
                            <li class="nav-item menu-open">
                                <a href="#"
                                    class="nav-link <?php echo e('asistencia' == request()->segment(1) ? 'active' : ''); ?>">
                                    <i class="fas fa-user-cog"></i>
                                    <p>
                                        Asistencia
                                        <i class="right fas fa-angle-left"></i>
                                    </p>
                                </a>
                                <ul class="nav nav-treeview">
                                    <li class="nav-item">
                                        <a href="<?php echo e(asset('asistencia/registro')); ?>"
                                            class="nav-link <?php echo e('registro' == request()->segment(2) ? 'active' : ''); ?>">
                                            <i class="far fa-circle nav-icon"></i>
                                            <p>Registro</p>
                                        </a>
                                    </li>
                                    <li class="nav-item">
                                        <a href="<?php echo e(asset('asistencia/informe')); ?>"
                                            class="nav-link <?php echo e('informe' == request()->segment(2) ? 'active' : ''); ?>">
                                            <i class="far fa-circle nav-icon"></i>
                                            <p>Informe</p>
                                        </a>
                                    </li>
                                </ul>
                            </li>
                            <li class="nav-item menu-open">
                                <a href="#" class="nav-link <?php echo e('reporte' == request()->segment(1) ? 'active' : ''); ?>">
                                    <i class="fas fa-user-cog"></i>
                                    <p>
                                        Reporte
                                        <i class="right fas fa-angle-left"></i>
                                    </p>
                                </a>
                                <ul class="nav nav-treeview">
                                    <li class="nav-item">
                                        <a href="<?php echo e(asset('reporte/mensual')); ?>"
                                            class="nav-link <?php echo e('mensual' == request()->segment(2) ? 'active' : ''); ?>">
                                            <i class="far fa-circle nav-icon"></i>
                                            <p>Reporte Mensual</p>
                                        </a>
                                    </li>
                                    <li class="nav-item">
                                        <a href="<?php echo e(asset('reporte/grafico')); ?>"
                                            class="nav-link <?php echo e('grafico' == request()->segment(2) ? 'active' : ''); ?>">
                                            <i class="far fa-circle nav-icon"></i>
                                            <p>Reporte Gráfico</p>
                                        </a>
                                    </li>
                                    <li class="nav-item">
                                        <a href="<?php echo e(asset('reporte/mis_pagos')); ?>"
                                            class="nav-link <?php echo e('mis_pagos' == request()->segment(2) ? 'active' : ''); ?>">
                                            <i class="far fa-circle nav-icon"></i>
                                            <p>Mis Pagos</p>
                                        </a>
                                    </li>
                                </ul>
                            </li>
                            <li class="nav-item menu-open">
                                <a href="#"
                                    class="nav-link <?php echo e('configuracion' == request()->segment(1) ? 'active' : ''); ?>">
                                    <i class="fas fa-user-cog"></i>
                                    <p>
                                        Configuración
                                        <i class="right fas fa-angle-left"></i>
                                    </p>
                                </a>
                                <ul class="nav nav-treeview">
                                    <li class="nav-item">
                                        <a href="<?php echo e(asset('configuracion/mi_perfil')); ?>"
                                            class="nav-link <?php echo e('mi_perfil' == request()->segment(2) ? 'active' : ''); ?>">
                                            <i class="far fa-circle nav-icon"></i>
                                            <p>Mi perfil</p>
                                        </a>
                                    </li>
                                </ul>
                            </li>
                        <?php elseif(auth()->user()->TipoUsuario == 'SUPER_ADMIN'): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(asset('dashboard-super-administrador')); ?>"
                                class="nav-link <?php echo e('dashboard-super-administrador' == request()->segment(1) ? 'active' : ''); ?>">
                                <i class="nav-icon fas fa-th"></i>
                                <p>
                                    Panel de Control
                                    
                                </p>
                            </a>
                        </li>
                        <li class="nav-item menu-open">
                            <a href="#"
                                class="nav-link <?php echo e('acceso' == request()->segment(1) ? 'active' : ''); ?>">
                                <i class=" nav-icon fas fa-user-cog"></i>
                                <p>
                                    Acceso
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="<?php echo e(asset('acceso/usuario2')); ?>"
                                        class="nav-link <?php echo e('usuario2' == request()->segment(2) ? 'active' : ''); ?>">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Administrador</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="<?php echo e(asset('acceso/super-administrador')); ?>"
                                        class="nav-link <?php echo e('super-administrador' == request()->segment(2) ? 'active' : ''); ?>">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Super Administrador</p>
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="nav-item menu-open">
                            <a href="#"
                                class="nav-link <?php echo e('control' == request()->segment(1) ? 'active' : ''); ?>">
                                <i class=" nav-icon fas fa-user-cog"></i>
                                <p>
                                    Control
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="<?php echo e(asset('control/empresas')); ?>"
                                        class="nav-link <?php echo e('empresas' == request()->segment(2) ? 'active' : ''); ?>">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Empresa</p>
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <?php endif; ?>
                    </ul>
                </nav>
                <!-- /.sidebar-menu -->
            </div>
            <!-- /.sidebar -->
        </aside>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            
            <!-- /.content-header -->

            <!-- Main content -->
            <div class="content">
                <div class="container-fluid">
                    <?php echo $__env->yieldContent('contenido'); ?>
                    <!-- /.row -->
                </div><!-- /.container-fluid -->
            </div>
            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->

        <!-- Control Sidebar -->
        <aside class="control-sidebar control-sidebar-dark">
            <!-- Control sidebar content goes here -->
            <div class="p-3">
                <h5>Title</h5>
                <p>Sidebar content</p>
            </div>
        </aside>
        <!-- /.control-sidebar -->

        <!-- Main Footer -->
        <footer class="main-footer">
            <!-- To the right -->
            <div class="float-right d-none d-sm-inline">
                Anything you want
            </div>
            <!-- Default to the left -->
            <strong>Copyright &copy; 2022 <a href="#">CWILSOFT</a>.</strong> All rights
            reserved.
        </footer>
    </div>
    <!-- ./wrapper -->

    <!-- REQUIRED SCRIPTS -->

    <!-- jQuery -->
    <script src="<?php echo e(asset('plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('dist/sweetalert2/sweetalert2.all.min.js')); ?>"></script>
    <script src="<?php echo e(asset('plugins/notification/snackbar/snackbar.min.js')); ?>"></script>
    <script src="<?php echo e(asset('dist/js/toastr.min.js')); ?>"></script>
    <?php echo $__env->yieldPushContent('scripts'); ?>
    <!-- Bootstrap 4 -->
    <script src="<?php echo e(asset('plugins/bootstrap/js/bootstrap.bundle.min.js')); ?>"></script>
    <!-- AdminLTE App -->
    <script src="<?php echo e(asset('dist/js/adminlte.min.js')); ?>"></script>
    
    <script src="<?php echo e(asset('dist/sweetalert2/eliminar.js')); ?>"></script>



</body>

</html>
<?php /**PATH /home/enlazase/public_html/horario/resources/views/layouts/admin.blade.php ENDPATH**/ ?>