<?php use App\Http\Controllers\ScheduleController; ?>

<?php $__env->startSection('contenido'); ?>
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h3>Listado de Horarios</h3>
            </div>
        </div>
    </div>
</section>

<?php echo $__env->make('acceso.schedule.create', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<div class="row">
    <div class="col-12">
        <div class="card">
            <?php echo $__env->make('acceso.schedule.search', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

            <!-- /.card-header -->
            <div class="card-body table-responsive p-0">
                <table class="table table-hover text-nowrap">
                    <thead style="background: #eaf3fa; color: #12446b">
                        <tr>
                            <th>Nombre</th>
                            <th>Hora Entrada</th>
                            <th>Hora Salida</th>
                            <th colspan="2">Opciones</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $schedule; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $s): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($s->name); ?></td>
                            <td><?php echo e($s->checkinTime); ?></td>
                            <td><?php echo e($s->departureTime); ?></td>
                            <td align="center">
                                <a href="<?php echo e(route('schedule.edit', $s->id)); ?>"><i style="color: #17a2b8" class="far fa-edit"></i></a>
                            </td>
                            <td>
                                <?php if(!ScheduleController::validation_destroy($s->id)): ?>
                                <form action="<?php echo e(route('schedule.destroy', $s->id)); ?>"
                                    method="POST">
                                    <?php echo csrf_field(); ?>

                                    <?php echo method_field('DELETE'); ?>

                                    <button class="btn btn-default borrar text-danger btn-sm"
                                        title="Eliminar Horario <?php echo e($s->name); ?>"
                                        data-nombre="<?php echo e($s->name); ?>"><i class="fa fa-trash"
                                            aria-hidden="true"></i></button>
                                </form>
                                <?php endif; ?>
                            </td>
                        </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
                
            </div>
            <?php echo e($schedule->appends(['searchText' => $searchText])); ?>

        </div>
        <!-- /.card -->
    </div>
</div>

<?php $__env->startPush('scripts'); ?>
<?php if(session()->has('success')): ?>
<script>
    $(document).ready(function() {
        Snackbar.show({text: '<?php echo e(session('success')); ?>', actionText: 'CERRAR',
         pos: 'bottom-right', actionTextColor: '#27AE60', duration: 6000});
    });
</script>
<?php endif; ?>
<?php if(count($errors) > 0): ?>
    <script type="text/javascript">
        $(document).ready(function(){
            if (document.getElementById('name').value !== '') {
                $('#modal-add').modal('show');
            }
        });
    </script>
<?php endif; ?>
<?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Cambios_Chi\sysasistencia_ng\resources\views/acceso/schedule/index.blade.php ENDPATH**/ ?>