<?php use App\Http\Controllers\BranchOfficeController; ?>

<?php $__env->startSection('contenido'); ?>
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h3>Listado de Sucursales</h3>
            </div>
        </div>
    </div>
</section>

<?php echo $__env->make('acceso.branchoffice.create', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<div class="row">
    <div class="col-12">
        <div class="card">
            <?php echo $__env->make('acceso.branchoffice.search', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

            <!-- /.card-header -->
            <div class="card-body table-responsive p-0">
                <table class="table table-hover text-nowrap">
                    <thead style="background: #eaf3fa; color: #12446b">
                        <tr>
                            <th>Nombre</th>
                            <th>Ubicación</th>
                            <th>Radio</th>
                            <th>Dirección</th>
                            <th colspan="2">Opciones</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $branchOffice; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $b): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($b->name); ?></td>
                            <td><a href="//www.google.com/maps/search/<?php echo e($b->latitude); ?>,<?php echo e($b->longitude); ?>"
                                 target="_black" ><?php echo e($b->latitude); ?>, <?php echo e($b->longitude); ?></a></td>
                            <td><?php echo e($b->radius); ?></td>
                            <td><?php echo e($b->address); ?></td>
                            <td align="center">
                                <a href="<?php echo e(route('branchoffice.edit', $b->id)); ?>"><i style="color: #17a2b8" class="far fa-edit"></i></a>
                            </td>
                            <td>
                                <?php if(!BranchOfficeController::validation_destroy($b->id)): ?>
                                <form action="<?php echo e(route('branchoffice.destroy', $b->id)); ?>"
                                    method="POST">
                                    <?php echo csrf_field(); ?>

                                    <?php echo method_field('DELETE'); ?>

                                    <button class="btn btn-default borrar text-danger btn-sm"
                                        title="Eliminar Sucursal <?php echo e($b->name); ?>"
                                        data-nombre="<?php echo e($b->name); ?>"><i class="fa fa-trash"
                                            aria-hidden="true"></i></button>
                                </form>
                                <?php endif; ?>
                            </td>
                        </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
                
            </div>
            <?php echo e($branchOffice->appends(['searchText' => $searchText])); ?>

        </div>
        <!-- /.card -->
    </div>
</div>

<?php $__env->startPush('scripts'); ?>
<?php if(session()->has('success')): ?>
<script>
    $(document).ready(function() {
        Snackbar.show({text: '<?php echo e(session('success')); ?>', actionText: 'CERRAR',
         pos: 'bottom-right', actionTextColor: '#27AE60', duration: 6000});
    });
</script>
<?php endif; ?>
<?php if(count($errors) > 0): ?>
    <script type="text/javascript">
        $(document).ready(function(){
            if (document.getElementById('name').value !== '') {
                $('#modal-add').modal('show');
            }
        });
    </script>
<?php endif; ?>
<script>
    $('.radius').on('input', function () {
        this.value = this.value.replace(/[^0-9,.]/g, '').replace(/,/g, '.');
    });
</script>
<?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Cambios_Chi\sysasistencia_ng\resources\views/acceso/branchoffice/index.blade.php ENDPATH**/ ?>