<?php use App\Http\Controllers\InformeController; ?>
<?php use App\Http\Controllers\RegistroController; ?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <title>Mi asistencia de Hoy</title>
</head>

<style>
    body{
        font-family: Arial, Helvetica, sans-serif;
        font-size: 0.85em;
    }
    table{
        width: 100%;
        border-collapse: collapse;
    }
    .data{
        /* background: rgb(146, 142, 142); */
        float: right;
        margin: 2% 0% 0% 0%;
    }
    tbody td {
        padding: 3px; border: 1px solid rgb(37, 87, 134);

    }

</style>
<body>
    <div  style="background: #163864; color: #ffffff; text-align: center; padding: 5px; font-weight: bold; font-size: 1.3em">
        <span>Control de Asistencia Diaria</span>
    </div>
    <table>
        <tr>
            <td style="border: none">
                Empresa: <?php echo e($empresa->nomEmpresa); ?> <br>
                RUT Empresa: <?php echo e($empresa->rutEmpresa); ?> <br>
                Dirección Comercial: <?php echo e($sucursal->address); ?>

            </td>
            <td align="right" style="border: none">
                <?php ($nombre_fichero = public_path('logo/' . $empresa->Logo)); ?>
                <?php if(file_exists($nombre_fichero) && !empty($empresa->Logo)): ?>
                    <img src="../public/logo/<?php echo e($empresa->Logo); ?>" alt="" width="80" height="80">
                <?php endif; ?>
            </td>
        </tr>
    </table>


    <div  style="background: #163864; color: #ffffff;
    text-align: center; padding: 10px">
        <span>Informe de <?php echo e(InformeController::fechaCastellano($informe->FechaRegistro)); ?> </span>
    </div>
    <div>
        <p>
            <span style="font-size: 1.5em"><?php echo e($usuario->Nombres); ?></span>
            <span style="float: right"><?php echo e(InformeController::fechaCastellano($fecha)); ?></span>
        </p>
    </div>
        <table>

            <tbody>
                <tr>
                    <td style="font-weight: bold">Hora de Entrada: </td>
                    <td><span><?php echo e($informe->HoraEntrada); ?></span></td>
                </tr>
                <tr>
                    <td style="font-weight: bold">Ubicación Entrada: </td>
                    <td><span><?php echo e($informe->LatitudEntrada); ?>,<?php echo e($informe->LongitudEntrada); ?></span></td>
                </tr>
                <tr>
                    <td style="font-weight: bold">Consideración Entrada: </td>
                    <td>
                        <?php if($informe->Consideracion == 'CORRECTO'): ?>
                            <span style="color: #0a7a22; font-weight: bold">
                        <?php else: ?>
                            <span style="color: #ad211c; font-weight: bold">
                        <?php endif; ?>
                        <?php echo e($informe->Consideracion); ?></span></td>
                </tr>
                <tr>
                    <td style="font-weight: bold">Captura Entrada: </td>
                    <td>
                        <?php if(!empty($informe->capturaEntrada)): ?>
                            <img src="../public/capturas_asistencia/<?php echo e($informe->capturaEntrada); ?>" alt="" width="80" height="80">
                        <?php endif; ?>
                    </td>
                </tr>
                <tr>
                    <td style="font-weight: bold">Tardanza: </td>
                    <td><span>
                        <?php if($informe->HoraEntrada > $empresa->checkinTime): ?>
                        <?php echo e(RegistroController::RestarHoras($informe->HoraEntrada, $empresa->checkinTime)); ?>

                        <?php endif; ?>
                    </span></td>
                </tr>

                <tr>
                    <td style="font-weight: bold">Hora Salida: </td>
                    <td> <span>
                        <?php if(isset($informe->HoraSalida)): ?>
                            <?php echo e($informe->HoraSalida); ?>

                        <?php endif; ?>
                    </span></td>

                </tr>
                <tr>
                    <td style="font-weight: bold">Ubicación Salida: </td>
                    <td>
                        <span>
                            <?php if(isset($informe->HoraSalida)): ?>
                            <?php echo e($informe->LatitudSalida); ?>,<?php echo e($informe->LongitudSalida); ?>

                            <?php else: ?>
                                No tiene registrado la Salida
                            <?php endif; ?>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td style="font-weight: bold">Consideración Salida: </td>
                    <td>
                        <?php if($informe->Consideracion2 == 'CORRECTO'): ?>
                            <span style="color: #0a7a22; font-weight: bold">
                        <?php else: ?>
                            <span style="color: #ad211c; font-weight: bold">
                        <?php endif; ?>
                            <?php echo e($informe->Consideracion2); ?></span>
                    </td>
                </tr>
                <tr>
                    <td style="font-weight: bold">Captura Salida: </td>
                    <td>
                        <?php if(!empty($informe->capturaSalida)): ?>
                            <img src="../public/capturas_asistencia/<?php echo e($informe->capturaSalida); ?>" alt="" width="80" height="80">
                        <?php endif; ?>
                    </td>
                </tr>
                <tr>
                    <td style="font-weight: bold">Tiempo Laborado: </td>
                    <td>
                        <span>
                            <?php if(isset($informe->HoraSalida)): ?>
                            <?php echo e(RegistroController::RestarHoras($informe->HoraEntrada, $informe->HoraSalida)); ?>

                            <?php else: ?>
                                No tiene registrado la Salida
                            <?php endif; ?>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td style="font-weight: bold">Hora Extra: </td>
                    <td>
                        <span>
                            <?php if(isset($informe->HoraSalida) && $informe->HoraSalida > $empresa->departureTime): ?>
                            <?php echo e(RegistroController::RestarHoras($informe->HoraSalida, $empresa->departureTime)); ?>

                            <?php endif; ?>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td style="font-weight: bold">Descuento por Tardanza:</td>
                    <td>
                        <?php ($dt = 0); ?>
                        <?php if($informe->HoraEntrada > $empresa->checkinTime): ?>
                            <?php ($m3 = explode(":",RegistroController::RestarHoras($informe->HoraEntrada, $empresa->checkinTime))); ?>
                            <?php ($dt =  ($m3[0] + ($m3[1]/60) + ($m3[2]/3600)) * $usuario->pagoHora); ?>
                            <?php echo e(number_format($dt, 2)); ?>

                        <?php endif; ?>
                    </td>
                </tr>
                <tr>
                    <td style="font-weight: bold">Pago por Horas Extra:</td>
                    <td>
                        <?php ($pago_HoraExtra = 0); ?>
                        <?php if($informe->HoraSalida > $empresa->departureTime): ?>
                            <?php ($m4 = explode(":",RegistroController::RestarHoras($informe->HoraSalida, $empresa->departureTime))); ?>
                            <?php ($pago_HoraExtra = ( $m4[0] + ($m4[1]/60) + ($m4[2]/3600)) * $usuario->pagoHora); ?>
                            <?php echo e(number_format($pago_HoraExtra, 2)); ?>

                        <?php endif; ?>
                    </td>
                </tr>
                <tr>
                    <td style="font-weight: bold">Pago por Horas Laboradas:</td>
                    <td>
                        <?php ($ph = 0); ?>
                        <?php if(isset($informe->HoraSalida)): ?>
                            <?php ($m2 = explode(":", RegistroController::RestarHoras($informe->HoraEntrada, $informe->HoraSalida))); ?>
                            <?php ($ph =  ($m2[0] + ($m2[1]/60) + ($m2[2]/3600)) * $usuario->pagoHora); ?>
                            <?php echo e(number_format($ph, 2)); ?>

                        <?php endif; ?>
                    </td>
                </tr>
                <tr>
                    <td style="font-weight: bold">Pago HL - Desc + H. Estras</td>
                    <td><?php echo e($ph - $dt + $pago_HoraExtra); ?></td>
                </tr>
            </tbody>
        </table>
</body>
</html>
<?php /**PATH C:\Cambios_Chi\sysasistencia_ng\resources\views/asistencia/registro/report.blade.php ENDPATH**/ ?>