<?php use App\Http\Controllers\InformeController; ?>
<?php use App\Http\Controllers\RegistroController; ?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Marcación de salida</title>
    <style>
        .table{
            width: 100%;
        }
    </style>
</head>
<body>
    <div
        style="background: #163864; color: #ffffff; text-align: center; padding: 5px; font-weight: bold; font-size: 1.3em">
        <span>Control de Asistencia Diaria</span>
    </div>
    <table class="table">
        <tr>
            <td style="border: none">
                Empresa: <?php echo e($empresa->nomEmpresa); ?> <br>
                RUT Empresa: <?php echo e($empresa->rutEmpresa); ?> <br>
                Dirección Comercial: <?php echo e($sucursal->address); ?>

            </td>
            <td align="right" style="border: none">
                <?php ($nombre_fichero = public_path('logo/' . $empresa->Logo)); ?>
                <?php if(file_exists($nombre_fichero) && !empty($empresa->Logo)): ?>
                    <img src="<?php echo e(asset('logo/' . $empresa->Logo)); ?>" alt="" width="80" height="80">
                <?php endif; ?>
            </td>
        </tr>
    </table>


    <div style="background: #163864; color: #ffffff;
    text-align: center; padding: 10px">
        <span>Informe de <?php echo e(InformeController::fechaCastellano($informe->FechaRegistro)); ?> </span>
    </div>
    <div>
        <p>
            <span style="font-size: 1.5em"><?php echo e($usuario->Nombres); ?></span>
            <span style="float: right"><?php echo e(InformeController::fechaCastellano($fecha)); ?></span>
        </p>
    </div>
    <table>
        <tbody>
            <tr>
                <td style="font-weight: bold">Hora Salida: </td>
                <td> <span>
                    <?php if(isset($informe->HoraSalida)): ?>
                        <?php echo e($informe->HoraSalida); ?>

                    <?php endif; ?>
                </span></td>

            </tr>
            <tr>
                <td style="font-weight: bold">Ubicación Salida: </td>
                <td>
                    <span>
                        <?php if(isset($informe->HoraSalida)): ?>
                        <a href="https://www.google.com/maps/search/<?php echo e($informe->LatitudSalida); ?>,<?php echo e($informe->LongitudSalida); ?>">
                        <?php echo e($informe->LatitudSalida); ?>,<?php echo e($informe->LongitudSalida); ?></a>
                        <?php else: ?>
                            No tiene registrado la Salida
                        <?php endif; ?>
                    </span>
                </td>
            </tr>
            <tr>
                <td style="font-weight: bold">Consideración Salida: </td>
                <td>
                    <?php if($informe->Consideracion2 == 'CORRECTO'): ?>
                        <span style="color: #0a7a22; font-weight: bold">
                    <?php else: ?>
                        <span style="color: #ad211c; font-weight: bold">
                    <?php endif; ?>
                        <?php echo e($informe->Consideracion2); ?></span>
                </td>
            </tr>
            <tr>
                <td style="font-weight: bold">Captura Salida: </td>
                <td>
                    <?php if(!empty($informe->capturaSalida)): ?>
                        <img src="<?php echo e(asset('capturas_asistencia/'. $informe->capturaSalida)); ?>" alt="" width="160" height="130">
                    <?php endif; ?>
                </td>
            </tr>
            <tr>
                <td style="font-weight: bold">Tiempo Laborado: </td>
                <td>
                    <span>
                        <?php if(isset($informe->HoraSalida)): ?>
                        <?php echo e(RegistroController::RestarHoras($informe->HoraEntrada, $informe->HoraSalida)); ?>

                        <?php else: ?>
                            No tiene registrado la Salida
                        <?php endif; ?>
                    </span>
                </td>
            </tr>
            <tr>
                <td style="font-weight: bold">Hora Extra: </td>
                <td>
                    <span>
                        <?php if(isset($informe->HoraSalida) && $informe->HoraSalida > $empresa->departureTime): ?>
                        <?php echo e(RegistroController::RestarHoras($informe->HoraSalida, $empresa->departureTime)); ?>

                        <?php endif; ?>
                    </span>
                </td>
            </tr>
        </tbody>
    </table>
</body>
</html>
<?php /**PATH /home/enlazase/public_html/horario/resources/views/email/salida.blade.php ENDPATH**/ ?>