<?php use App\Http\Controllers\InformeController; ?>

<?php $__env->startSection('contenido'); ?>
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h3>Registro de Asistencia</h3>
                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>
    <div class="row">
        <div class="col-md-8">
            <div class="card card-info">
                <?php if(isset($informe->IdRegistro)): ?>
                    <?php if(isset($informe->HoraSalida)): ?>
                        <div class="card-header">
                            <h3 class="card-title">Registro Completo de Hoy</h3>
                        </div>
                        <form>
                            <div class="card-body">
                                <div class="form-group">
                                    <label for="fecha">Fecha</label>
                                    <div class="input-group mb-3">
                                        <input type="text" class="form-control" id="fecha" placeholder="Fecha"
                                            value="<?php echo e(InformeController::fechaCastellano($informe->FechaRegistro)); ?>"
                                            disabled>
                                        <div class="input-group-append">
                                            <span class="input-group-text"><i class="fas fa-calendar-alt"></i></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="hora_entrada">Hora Entrada
                                    </label>
                                    <div class="input-group mb-3">
                                        <input type="text" class="form-control" id="hora_entrada"
                                            placeholder="Hora de Entrada" value="<?php echo e($informe->HoraEntrada); ?>" disabled>
                                        <div class="input-group-append">
                                            <span class="input-group-text"><i class="fas fa-clock"></i></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="ubicacion_entrada">Ubicación Entrada
                                    </label>
                                    <div class="input-group mb-3">
                                        <a href="//www.google.com/maps/search/<?php echo e($informe->LatitudEntrada); ?>,<?php echo e($informe->LongitudEntrada); ?>"
                                            class="form-control" target="_black"><?php echo e($informe->Consideracion); ?></a>
                                        <div class="input-group-append">
                                            <span class="input-group-text"><i class="fas fa-map-marker-alt"></i></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="hora_salida">Hora Salida</label>
                                    <div class="input-group mb-3">
                                        <input type="text" class="form-control" id="hora_salida"
                                            placeholder="Hora Salida" value="<?php echo e($informe->HoraSalida); ?>" disabled>
                                        <div class="input-group-append">
                                            <span class="input-group-text"><i class="fas fa-hourglass-end"></i></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="ubicacion_salida">Ubicación Salida</label>
                                    <div class="input-group mb-3">
                                        <a href="//www.google.com/maps/search/<?php echo e($informe->LatitudSalida); ?>,<?php echo e($informe->LongitudSalida); ?>"
                                            class="form-control" target="_black"><?php echo e($informe->Consideracion2); ?></a>
                                        <div class="input-group-append">
                                            <span class="input-group-text"><i class="fas fa-map-marker-alt"></i></span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- /.card-body -->
                            <div class="card-footer">
                                <a href="<?php echo e(route('detalle.pdf', $informe->IdRegistro)); ?>" target="_blank"
                                    class="btn btn-info" style="float: right">IMPRIMIR</a>
                            </div>
                        </form>
                    <?php else: ?>
                        <?php if($aux): ?>
                            <div class="card-header">
                                <h3 class="card-title">Detalle de mi Salida</h3>
                            </div>
                            <form>
                                <div class="card-body">
                                    <div class="form-group">
                                        <label for="fecha">Fecha y Hora de Salida</label>
                                        <div class="input-group mb-6">
                                            <input type="text" class="form-control" id="fecha" placeholder="Fecha"
                                                disabled value="<?php echo e($fecha_actual); ?>">
                                            <div class="input-group-append">
                                                <span class="input-group-text"><i class="fas fa-calendar-alt"></i></span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="exampleInputPassword1">Ubicación Salida
                                        </label>
                                        <div class="input-group mb-6">
                                            <a href="" id="ubicacion" target="_black" class="form-control"> </a>
                                            <div class="input-group-append">
                                                <span class="input-group-text"><i class="fas fa-map-marker-alt"></i></span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="exampleInputPassword1">Consideración</label>
                                        <div class="input-group mb-3">
                                            <input type="text" class="form-control rojo" id="consideracion" disabled>
                                            <div class="input-group-append">
                                                
                                                <a href="<?php echo e(asset('asistencia/registro')); ?>"
                                                    class="btn btn-dark input-group-text" style="float: right">
                                                    <i class="fas fa-sync-alt"></i>
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="fecha">Camara</label>
                                        <div class="input-group mb-3">
                                            <video id="video" width="198" autoplay=true
                                                class="img-responsive"></video>
                                            <canvas id="canvas" width="198" class="img-responsive"></canvas>
                                        </div>
                                    </div>
                                </div>
                                <?php if(Session::has('error')): ?>
                                    <div class="alert alert-danger">
                                        <ul>
                                            <li><?php echo e(Session::get('error')); ?></li>
                                        </ul>
                                    </div>
                                <?php endif; ?>
                                <!-- /.card-body -->
                                <div class="card-footer">
                                    <button type="button" class="btn btn-block bg-gradient-danger btn-lg  grabar2"
                                        id="grabar">
                                        <i class="fas fa-sign-out-alt"></i>
                                        Marcar Salida
                                    </button>
                                </div>
                            </form>

                            <?php echo Form::open(['url' => 'marcarsalida', 'method' => 'POST', 'autocomplete' => 'off']); ?>

                            <?php echo e(Form::token()); ?>

                            <div style="display: none">
                                <input type="text" name="idregistro" value="<?php echo e($informe->IdRegistro); ?>">
                                <input type="text" id="latitud_entrada" name="latitud_entrada">
                                <input type="text" id="longitud_entrada" name="longitud_entrada">
                                <input type="text" name="consideracion_input" id="consideracion_input">
                                <input id='fotocamara' name="fotocamara" type="text" class="form-control" />
                                <input type="submit" value="enviar2" id="enviar2">
                            </div>
                            <?php echo Form::close(); ?>

                        <?php else: ?>
                            <h5 style="color: #d12727; text-align: center">EL SISTEMA NO ESTA DISPONIBLE EN ESTOS MOMENTOS,
                                COMUNIQUESE CON EL ADMINISTRADOR PARA OBTENER MAYOR INFORMACIÓN.</h5>
                            <img src="<?php echo e(asset('images/disconect.jpg')); ?>" alt="">
                        <?php endif; ?>
                    <?php endif; ?>
                <?php else: ?>
                    <?php if($aux): ?>
                        <div class="card-header">
                            <h3 class="card-title">Detalle de mi Entrada</h3>
                        </div>
                        <form>
                            <div class="card-body">
                                <div class="form-group">
                                    <label for="fecha">Fecha y Hora de Entrada</label>
                                    <div class="input-group mb-6">
                                        <input type="text" class="form-control" id="fecha" placeholder="Fecha"
                                            disabled value="<?php echo e($fecha_actual); ?>">
                                        <div class="input-group-append">
                                            <span class="input-group-text"><i class="fas fa-calendar-alt"></i></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="hora_entrada">Ubicación
                                    </label>
                                    <div class="input-group mb-6">
                                        <a href="" id="ubicacion" target="_black" class="form-control"> </a>
                                        <div class="input-group-append">
                                            <span class="input-group-text"><i class="fas fa-map-marker-alt"></i></span>
                                        </div>
                                    </div>

                                </div>
                                <div class="form-group">
                                    <label for="hora_entrada">Consideración
                                    </label>
                                    <div class="input-group mb-6">
                                        <input type="text" class="form-control rojo" id="consideracion" disabled>
                                        <div class="input-group-append">
                                            
                                            <a href="<?php echo e(asset('asistencia/registro')); ?>"
                                                class="btn btn-dark input-group-text" style="float: right">
                                                <i class="fas fa-sync-alt"></i>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="fecha">Camara</label>
                                    <div class="input-group mb-3">
                                        <video id="video" width="198" autoplay=true
                                            class="img-responsive"></video>
                                        <canvas id="canvas" width="198" class="img-responsive"></canvas>
                                    </div>
                                </div>
                            </div>
                            <!-- /.card-body -->
                            <?php if(count($errors) > 0): ?>
                                <div class="alert alert-danger">
                                    <ul>
                                        <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <li><?php echo e($error); ?></li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                </div>
                            <?php endif; ?>

                            <div class="card-footer">
                                <button type="button" class="btn btn-block bg-gradient-success btn-lg grabar"
                                    id="grabar">
                                    Marcar Asistencia</button>
                            </div>
                        </form>
                        
                        <?php echo Form::open(['url' => 'asistencia/registro', 'method' => 'POST', 'autocomplete' => 'off']); ?>

                        <?php echo e(Form::token()); ?>

                        <div style="display: none">
                            <input type="text" id="latitud_entrada" name="latitud_entrada">
                            <input type="text" id="longitud_entrada" name="longitud_entrada">
                            <?php ($hora = explode('/ ', $fecha_actual)); ?>
                            <input type="text" name="hora_entrada" value="<?php echo e($hora[1]); ?>">
                            <input type="text" name="fecha_entrada" value="<?php echo e($fecha); ?>">
                            <input type="text" name="idusuario" value="<?php echo e(auth()->user()->IdUsuario); ?>">
                            <input id='fotocamara' name="fotocamara" type="text" class="form-control" />
                            <input type="text" name="consideracion_input" id="consideracion_input">
                            <input type="submit" value="enviar" id="enviar">
                        </div>
                        <?php echo Form::close(); ?>

                        <!-- /.card -->
                    <?php else: ?>
                        <h5 style="color: #d12727; text-align: center">EL SISTEMA NO ESTA DISPONIBLE EN ESTOS MOMENTOS,
                            COMUNIQUESE CON EL ADMINISTRADOR PARA OBTENER MAYOR INFORMACIÓN.</h5>
                        <img src="<?php echo e(asset('images/disconect.jpg')); ?>" alt="">
                    <?php endif; ?>

                <?php endif; ?>
            </div>
        </div>
    </div>


    <?php if(!isset($informe->HoraSalida) && $aux): ?>
        <script>
            if (navigator.geolocation) {
                var success = function(position) {
                    var latitud = position.coords.latitude,
                        longitud = position.coords.longitude;
                    document.getElementById("ubicacion").innerHTML = latitud + ',' + longitud;
                    document.getElementById('ubicacion').setAttribute('href', '//www.google.com/maps/search/' + latitud +
                        ',' + longitud);
                    // Calculamos si esta dentro del rango o no
                    var aux = latitud * 10000000,
                        auy = longitud * 10000000;
                    var lat_empresa = <?php echo e($empresa->latitude * 10000000); ?>,
                        log_empresa = <?php echo e($empresa->longitude * 10000000); ?>;
                    var punto = Math.pow((aux - (1 * lat_empresa)), 2) + Math.pow((auy - (1 * log_empresa)), 2);

                    var x = document.getElementById("consideracion");
                    var radio = <?php echo e($empresa->radius * 100); ?>;
                    // console.log(radio);
                    if (punto <= Math.pow(radio, 2)) {
                        document.getElementById("consideracion").value = 'CORRECTO';
                        var consideracion = document.getElementsByClassName("rojo")[0];
                        consideracion.className = "verde form-control";

                    } else {
                        document.getElementById("consideracion").value = 'FUERA DE RANGO';
                    }
                    document.getElementById('latitud_entrada').value = latitud;
                    document.getElementById('longitud_entrada').value = longitud;
                    document.getElementById('consideracion_input').value = document.getElementById("consideracion").value;
                    // console.log(punto)
                }
                navigator.geolocation.getCurrentPosition(success, function(msg) {
                    console.error(msg);
                });
            }
        </script>
        <script>
            'use strict';
            navigator.mediaDevices.getUserMedia({
                audio: false,
                video: true
            }).then((stream) => {
                if (stream) {
                    let video = document.getElementById('video');
                    video.srcObject = stream;
                    var canvas = document.getElementById('canvas');
                    grabar.addEventListener("click", function() {
                        canvas.getContext('2d').drawImage(video, 0, 0, video.videoWidth, video.videoHeight,
                            0, 0, 198, 150);
                        var data = canvas.toDataURL('image/png');
                        document.getElementById('fotocamara').setAttribute('value', data);
                        var a = data;
                        // console.log(data);
                        console.log('imagen enviado al input');

                    });
                }

            }).catch((err) => {
                document.getElementById("grabar").disabled = true;
                Swal.fire('Revise que su cámara esté operativa y vuelva a cargar la página', '', 'error');
                console.log(err);
                grabar.addEventListener("click", function() {});
            })
        </script>
    <?php endif; ?>

    <?php $__env->startPush('scripts'); ?>
        <?php if(Session::has('success')): ?>
            <script>
                toastr.success('<?php echo e(Session::get('success')); ?>', 'Operación Correcta', {
                    "positionClass": "toast-top-right"
                })
            </script>
        <?php endif; ?>
        <script>
            $('.grabar').unbind().click(function() {
                var $button = $(this);
                //   var data_nombre = $button.attr('data-nombre');
                Swal.fire({
                    title: 'Confirme el registro de su Asistencia',
                    showDenyButton: true,
                    confirmButtonText: `Confirmar`,
                    denyButtonText: `Aún no`,
                    customClass: 'swal-wide',
                }).then((result) => {
                    /* Read more about isConfirmed, isDenied below */
                    if (result.isConfirmed) {
                        if (document.getElementById("fotocamara").value === '') {
                          Swal.fire('Revise que su cámara esté operativa y vuelva a intentarlo', '', 'error');
                        } else {
                            $("#enviar").click();
                        }
                    } else if (result.isDenied) {
                        Swal.fire('No se realizó ningún cambio', '', 'info')
                    }
                })
            });
        </script>
        <script>
            $('.grabar2').unbind().click(function() {
                var $button = $(this);
                //   var data_nombre = $button.attr('data-nombre');
                Swal.fire({
                    title: 'Confirme el registro de su Salida',
                    showDenyButton: true,
                    confirmButtonText: `Confirmar`,
                    denyButtonText: `Aún no`,
                    customClass: 'swal-wide',
                }).then((result) => {
                    /* Read more about isConfirmed, isDenied below */
                    if (result.isConfirmed) {
                        // $("#enviar2").click();
                        $('#enviar2').click();
                    } else if (result.isDenied) {
                        Swal.fire('No se realizó ningún cambio', '', 'info')
                    }
                })
            });
        </script>
    <?php $__env->stopPush(); ?>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/enlazase/public_html/horario/resources/views/asistencia/registro/index.blade.php ENDPATH**/ ?>