<?php use App\Http\Controllers\EmpresaController; ?>

<?php $__env->startSection('contenido'); ?>
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h3>Listado de Empresas</h3>
                </div>
            </div>
        </div>
    </section>

    <?php echo $__env->make('control.empresas.create', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <div class="row">
        <div class="col-12">
            <div class="card">
                <?php echo $__env->make('control.empresas.search', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                <!-- /.card-header -->
                <div class="card-body table-responsive p-0">
                    <table class="table table-hover text-nowrap">
                        <thead style="background: #eaf3fa; color: #12446b">
                            <tr>
                                <th>Nombre</th>
                                <th>RUT</th>
                                <th>Dirección</th>
                                <th>Logo</th>
                                <th style="text-align: center">Apertura Sistema</th>
                                
                                <th>Estado</th>
                                <th colspan="2">Opciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $empresa; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $e): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($e->nomEmpresa); ?></td>
                                    <td><?php echo e($e->rutEmpresa); ?></td>
                                    <td title="<?php echo e($e->Direccion); ?>"><?php echo e(substr($e->Direccion, 0, 25)); ?>

                                        <?php echo e(strlen($e->Direccion) > 25 ? '...' : ''); ?></td>
                                    <td><img src="<?php echo e(asset('logo/' . $e->Logo)); ?>" alt="" width="100"
                                            height="80"></td>
                                    <td align="center"><?php echo e($e->AperturaSistema); ?></td>
                                    <?php ($dias_hab = explode('_', $e->diasHabilitados)); ?>
                                    <?php ($dias = ['LU', 'MA', 'MI', 'JU', 'VI', 'SÁ', 'DO']); ?>
                                    
                                    <td>
                                        <?php if($e->estadoEmpresa == 'OPERATIVO'): ?>
                                            <button class="btn estado" title="<?php echo e($e->nomEmpresa); ?>"
                                                data-id="<?php echo e($e->idEmpresa); ?>" data-nombre="<?php echo e($e->nomEmpresa); ?>">
                                                <span class="badge badge-success"><?php echo e($e->estadoEmpresa); ?></span>
                                            <?php else: ?>
                                                <button class="btn estado" title="<?php echo e($e->nomEmpresa); ?>"
                                                    data-id="<?php echo e($e->idEmpresa); ?>" data-nombre="<?php echo e($e->nomEmpresa); ?>">
                                                    <span class="badge badge-danger"><?php echo e($e->estadoEmpresa); ?></span>
                                        <?php endif; ?>
                                    </td>
                                    <td align="center">
                                        <a href="<?php echo e(route('empresas.edit', $e->idEmpresa)); ?>"><i style="color: #17a2b8"
                                                class="far fa-edit"></i></a>
                                    </td>
                                    <td>
                                        <?php if(EmpresaController::validation_destroy($e->idEmpresa)): ?>
                                            <form action="<?php echo e(route('empresas.destroy', $e->idEmpresa)); ?>" method="POST">
                                                <?php echo csrf_field(); ?>

                                                <?php echo method_field('DELETE'); ?>

                                                <button class="btn btn-default borrar text-danger btn-sm"
                                                    title="Eliminar Empresa <?php echo e($e->nomEmpresa); ?>"
                                                    data-nombre="<?php echo e($e->nomEmpresa); ?>"><i class="fa fa-trash"
                                                        aria-hidden="true"></i></button>
                                            </form>
                                        <?php endif; ?>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                    
                </div>
                <?php echo e($empresa->appends(['searchText' => $searchText])); ?>

            </div>
            <!-- /.card -->
        </div>
    </div>

    <script type="text/javascript">
        function mostrar() {
            var archivo = document.getElementById("Logo").files[0];
            var reader = new FileReader();
            if (archivo) {
                reader.readAsDataURL(archivo);
                reader.onloadend = function() {
                    document.getElementById("img").src = reader.result;
                    document.getElementById("nombre_imagen").value = archivo.name;
                }
            } else {
                document.getElementById("img").src = "";
                document.getElementById("nombre_imagen").value = "";
            }
        }
    </script>
    <?php $__env->startPush('scripts'); ?>
        <?php if(count($errors) > 0): ?>
            <script type="text/javascript">
                $(document).ready(function() {
                    $('#modal-add').modal('show');
                });
            </script>
        <?php endif; ?>
        <?php if(session()->has('success')): ?>
            <script>
                $(document).ready(function() {
                    Snackbar.show({
                        text: '<?php echo e(session('success')); ?>',
                        actionText: 'CERRAR',
                        pos: 'bottom-right',
                        actionTextColor: '#27AE60',
                        duration: 6000
                    });
                });
            </script>
        <?php endif; ?>
        <script>
            $('.input-number').on('input', function() {
                this.value = this.value.replace(/[^0-9,-]/g, '');
            });

            $('.estado').unbind().click(function() {
                var $button = $(this);
                var data_nombre = $button.attr('data-nombre');
                var data_id = $button.attr('data-id');

                Swal.fire({
                    title: '¿Desea cambiar el estado de la empresa ' + data_nombre + '?',
                    showDenyButton: true,
                    confirmButtonText: `Cambiar`,
                    denyButtonText: `Cancelar`,
                }).then((result) => {
                    /* Read more about isConfirmed, isDenied below */
                    if (result.isConfirmed) {
                        var d = '<?php echo e(URL::action('EmpresaController@show', 0)); ?>' + data_id
                        window.location.href = d;
                    }
                    // else if (result.isDenied) {
                    //     Swal.fire('No se realizó ningún cambio', '', 'info')
                    // }
                })
                return false;
            });
        </script>
    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/enlazase/public_html/horario/resources/views/control/empresas/index.blade.php ENDPATH**/ ?>