<?php $__env->startSection('contenido'); ?>
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h3>Listado de Super Administrador</h3>
            </div>
        </div>
    </div>
</section>

<?php echo $__env->make('acceso.super-administrador.create', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<div class="row">
    <div class="col-12">
        <div class="card">
            <?php echo $__env->make('acceso.super-administrador.search', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

            <!-- /.card-header -->
            <div class="card-body table-responsive p-0">
                <table class="table table-hover text-nowrap">
                    <thead style="background: #eaf3fa; color: #12446b">
                        <tr>
                            <th>N° Documento</th>
                            <th>Usuario</th>
                            <th>N° Celular</th>
                            <th>Correo</th>
                            <th>Dirección</th>
                            <th style="text-align: center">Estado</th>
                            <th colspan="2">Opciones</th>

                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $usuario; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $u): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($u->NumDocumento); ?></td>
                            <td><?php echo e($u->Nombres); ?></td>
                            <td><?php echo e($u->TelefCel); ?></td>
                            <td><?php echo e($u->Correo); ?></td>
                            <td><?php echo e($u->Direccion); ?></td>
                            <td align="center">
                                <?php if($u->IdUsuario != auth()->user()->IdUsuario ): ?>
                                    <?php if($u->Estado == "ACTIVO"): ?>
                                    <button class="btn apertura" title="<?php echo e($u->Nombres); ?>" data-nombre="<?php echo e($u->IdUsuario); ?>">
                                        <span class="badge badge-success"><?php echo e($u->Estado); ?></span>
                                    <?php else: ?>
                                        <button class="btn apertura" title="<?php echo e($u->Nombres); ?>" data-nombre="<?php echo e($u->IdUsuario); ?>">
                                        <span class="badge badge-danger"><?php echo e($u->Estado); ?></span>
                                    <?php endif; ?>
                                <?php endif; ?>
                            </td>

                            <td align="center">
                                
                                <a href="<?php echo e(route('super-administrador.edit', $u->IdUsuario)); ?>"><i style="color: #17a2b8" class="far fa-edit"></i></a>

                            </td>
                            <td>
                                <?php if($u->IdUsuario != auth()->user()->IdUsuario ): ?>
                                <form action="<?php echo e(route('super-administrador.destroy', $u->IdUsuario)); ?>"
                                    method="POST">
                                    <?php echo csrf_field(); ?>

                                    <?php echo method_field('DELETE'); ?>

                                    <button class="btn btn-default borrar text-danger btn-sm"
                                        title="Eliminar Empresa <?php echo e($u->Nombres); ?>"
                                        data-nombre="<?php echo e($u->Nombres); ?>"><i class="fa fa-trash"
                                            aria-hidden="true"></i></button>
                                </form>
                                <?php endif; ?>
                            </td>
                        </tr>
                        
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
                
            </div>
            <?php echo e($usuario->appends(['searchText' => $searchText])); ?>

        </div>
        <!-- /.card -->
    </div>
</div>
<script>
    if(document.getElementById('NumDocumento').value !== ''){
        document.getElementById('camposAdicionales').style.display = 'block';
    }else{
        document.getElementById('camposAdicionales').style.display = 'none';
    }

    const selectElement = document.querySelector('.tipo');
    selectElement.addEventListener('change', (event) => {
        if(event.target.value.toString() === 'ADMINISTRADOR'){
            document.getElementById('camposAdicionales').style.display = 'none';
        }else{
            document.getElementById('camposAdicionales').style.display = 'block';
        }

    });
</script>
<script>
    document.getElementById("Imagen").onchange = function(e) {
        // Creamos el objeto de la clase FileReader
        let reader = new FileReader();
        // Leemos el archivo subido y se lo pasamos a nuestro fileReader
        reader.readAsDataURL(e.target.files[0]);

        // Le decimos que cuando este listo ejecute el código interno
        reader.onload = function() {
            let preview = document.getElementById('img'),
                image = document.createElement('img');
            image.src = reader.result;
            preview.innerHTML = '';
            preview.append(image);
        };
    }
</script>

<?php $__env->startPush('scripts'); ?>
<?php if(session()->has('success')): ?>
<script>
    $(document).ready(function() {
        Snackbar.show({text: '<?php echo e(session('success')); ?>', actionText: 'CERRAR',
         pos: 'bottom-right', actionTextColor: '#27AE60', duration: 6000});
    });
</script>
<?php endif; ?>
<script>
    $('.pagoHora').on('input', function () {
        this.value = this.value.replace(/[^0-9,.]/g, '').replace(/,/g, '.');
    });
    $('.NumDocumento').on('input', function () {
        this.value = this.value.replace(/[^0-9,-]/g, '').replace(/,/g, '.');
    });

    $('.apertura').unbind().click(function() {
        var $button = $(this);
        var data_nombre = $button.attr('data-nombre');
        Swal.fire({
            title: '¿Desea cambiar el estado del Super Administrador?',
            showDenyButton: true,
            confirmButtonText: `Cambiar`,
            denyButtonText: `Cancelar`,
        }).then((result) => {
            /* Read more about isConfirmed, isDenied below */
            if (result.isConfirmed) {
                var d = '<?php echo e(URL::action("Usuario3Controller@show", 0)); ?>' + data_nombre
                window.location.href = d;
            }
            // else if (result.isDenied) {
            //     Swal.fire('No se realizó ningún cambio', '', 'info')
            // }
        })
        return false;
    });
</script>

<?php if(count($errors) > 0): ?>
    <script type="text/javascript">
        $(document).ready(function(){
        <?php if (old('IdUsuario') == '') {?>
            $('#modal-add').modal('show');
        <?php } else { ?>
            $('#modal-add-<?php echo old("IdUsuario") ?>').modal('show');
        <?php }?>
        });
    </script>
<?php endif; ?>

<?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Cambios_Chi\sysasistencia_nelsonGeneral\resources\views/acceso/super-administrador/index.blade.php ENDPATH**/ ?>