<?php use App\Http\Controllers\InformeController; ?>

<?php $__env->startSection('contenido'); ?>
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h3>Editar Registro</h3>
            </div>
        </div>
    </div><!-- /.container-fluid -->
</section>
<div class="row">
	<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
        <?php echo Form::model($registro,['method'=>'PATCH','route'=>['dashboard-administrador.update',$registro->IdRegistro]]); ?>

        <?php echo e(Form::token()); ?>

			<?php if(count($errors)>0): ?>
			<div class="alert" style="background: #f8dbdb" role="alert">
				<ul>
				<?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
					<li><?php echo e($error); ?></li>
				<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
				</ul>
			</div>
			<?php endif; ?>
            <?php if(!isset($registro->HoraSalida)): ?>
                <div class="alert" style="background: #f8dbdb" role="alert">
                    Este registro no tiene una hora de Salida
                </div>
            <?php elseif($registro->HoraEntrada > $registro->HoraSalida): ?>
                <div class="alert" style="background: #f8dbdb" role="alert">
                    La Hora de Entrada tiene que ser menor a la Hora de Salida
                </div>
            <?php endif; ?>
            <div class="form-group">
                <input type="hidden" name="IdRegistro" value="<?php echo e($registro->IdRegistro); ?>">
            	<label for="IdUsuario">Personal</label>
                <input type="hidden" name="IdUsuario" value= "<?php echo e($registro->IdUsuario); ?>" >
            	<input type="text" class="form-control"
				value= "<?php echo e($registro->Nombres); ?>" disabled>
            </div>
            <div class="form-group">
            	<label for="FechaRegistro">Fecha</label>
            	<input type="text" name="FechaRegistro" class="form-control"
				value= "<?php echo e(InformeController::fechaCastellano($registro->FechaRegistro)); ?>"
                disabled>
            </div>
            <div class="form-group">
            	<label for="HoraEntrada">Hora de Entrada</label>
                <input type="hidden" name="HoraEntradaU" value="<?php echo e($registro->HoraEntrada); ?>">
            	<input type="time" name="HoraEntrada" class="form-control"
				value= "<?php echo e($registro->HoraEntrada); ?>">
            </div>
            <div class="form-group">
            	<label for="HoraSalida">Hora de Salida</label>
                <input type="hidden" name="HoraSalidaU" value="<?php echo e($registro->HoraSalida); ?>">
            	<input type="time" name="HoraSalida" class="form-control"
				value= "<?php echo e($registro->HoraSalida); ?>">
            </div>
            <div class="form-group">
            	<label for="Observacion">Observación</label><br>
                <input type="hidden" name="EncargadoUpdt" value="<?php echo e(auth()->user()->Nombres); ?>">
                <textarea name="Observacion" id="" cols="30" rows="3"
                style="resize: none;" class="form-control"
                placeholder="Observación o Justificación de la Asistencia."><?php echo e($registro->Observacion); ?></textarea>
            </div>
            <div class="form-group">
            	<button  type="submit" id="enviar" style="display: none">Guardar</button>
            </div>
        <?php echo Form::close(); ?>

            <div class="form-group">
				<a href="<?php echo e(asset('dashboard-administrador')); ?>" class="btn btn-danger">Cancelar</a>
                <button  class="btn btn-primary guardar">Modificar</button>
            </div>

	</div>
    <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
        <?php if(!isset($registro->EncargadoUpdt)): ?>
            <div class="alert"  style="background: #b9fbd2">
                Registro sin modificaciones <i class="fas fa-check" style="color: rgb(33, 134, 87);"></i>
            </div>
        <?php else: ?>
            <?php if(isset($registro->HoraEntradaU)): ?>
            <div class="form-group" style="color: #be2f2f">
            	<label for="HoraEntrada">Hora de Entrada Anterior</label>
            	<input type="time" class="form-control" disabled
				value= "<?php echo e($registro->HoraEntradaU); ?>">
            </div>
            <?php endif; ?>
            <?php if(isset($registro->HoraSalidaU)): ?>
            <div class="form-group" style="color: #be2f2f">
            	<label for="HoraEntrada">Hora de Salida Anterior</label>
            	<input type="time" class="form-control" disabled
                <?php if($registro->HoraSalidaU != '00:00:00'): ?>
                    value = "<?php echo e($registro->HoraSalidaU); ?>"
                <?php endif; ?>
                >
            </div>
            <?php endif; ?>
            <div class="form-group" style="color: #be2f2f">
            	<label for="HoraEntrada">Responsable de la ultima modificación</label>
            	<input type="text" class="form-control" disabled
				value= "<?php echo e($registro->EncargadoUpdt); ?>">
            </div>
        <?php endif; ?>
    </div>
</div>

<?php $__env->startPush('scripts'); ?>
    <script>
        $('.guardar').unbind().click(function () {
          var $button = $(this);
        //   var data_nombre = $button.attr('data-nombre');
          Swal.fire({
            title: 'Confirme la Modificación',
            showDenyButton: true,
            icon: 'warning',
            text: 'Recuerde que estos cambios seran visibles para el PERSONAL y el ADMINISTRADOR',
            confirmButtonText: `Confirmar`,
            denyButtonText: `Cancelar`,
            customClass: 'swal-wide',
          }).then((result) => {
            /* Read more about isConfirmed, isDenied below */
            if (result.isConfirmed) {
                $("#enviar").click();
            } else if (result.isDenied) {
              Swal.fire('No se realizó ninguna modificación.', '', 'info')
            }
          })
        });
    </script>
<?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\SysWeb\sysasistencia\resources\views/dashboard-administrador/edit.blade.php ENDPATH**/ ?>