<?php use App\Http\Controllers\InformeController; ?>
<?php use App\Http\Controllers\RegistroController; ?>
<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Marcación de entrada</title>
</head>

<body>
    <div
        style="background: #163864; color: #ffffff; text-align: center; padding: 5px; font-weight: bold; font-size: 1.3em">
        <span>Control de Asistencia Diaria</span>
    </div>
    <table>
        <tr>
            <td style="border: none">
                Empresa: <?php echo e($empresa->nomEmpresa); ?> <br>
                RUT Empresa: <?php echo e($empresa->rutEmpresa); ?> <br>
                Dirección Comercial: <?php echo e($sucursal->address); ?>

            </td>
            <td align="right" style="border: none">
                <?php ($nombre_fichero = public_path('logo/' . $empresa->Logo)); ?>
                <?php if(file_exists($nombre_fichero) && !empty($empresa->Logo)): ?>
                    <img src="../public/logo/<?php echo e($empresa->Logo); ?>" alt="" width="80" height="80">
                <?php endif; ?>
            </td>
        </tr>
    </table>


    <div style="background: #163864; color: #ffffff;
    text-align: center; padding: 10px">
        <span>Informe de <?php echo e(InformeController::fechaCastellano($informe->FechaRegistro)); ?> </span>
    </div>
    <div>
        <p>
            <span style="font-size: 1.5em"><?php echo e($usuario->Nombres); ?></span>
            <span style="float: right"><?php echo e(InformeController::fechaCastellano($fecha)); ?></span>
        </p>
    </div>
    <table>

        <tbody>
            <tr>
                <td style="font-weight: bold">Hora de Entrada: </td>
                <td><span><?php echo e($informe->HoraEntrada); ?></span></td>
            </tr>
            <tr>
                <td style="font-weight: bold">Ubicación Entrada: </td>
                <td><span><?php echo e($informe->LatitudEntrada); ?>,<?php echo e($informe->LongitudEntrada); ?></span></td>
            </tr>
            <tr>
                <td style="font-weight: bold">Consideración Entrada: </td>
                <td>
                    <?php if($informe->Consideracion == 'CORRECTO'): ?>
                        <span style="color: #0a7a22; font-weight: bold">
                        <?php else: ?>
                            <span style="color: #ad211c; font-weight: bold">
                    <?php endif; ?>
                    <?php echo e($informe->Consideracion); ?></span>
                </td>
            </tr>
            <tr>
                <td style="font-weight: bold">Captura Entrada: </td>
                <td>
                    <?php if(!empty($informe->capturaEntrada)): ?>
                        <img src="../public/capturas_asistencia/<?php echo e($informe->capturaEntrada); ?>" alt=""
                            width="80" height="80">
                    <?php endif; ?>
                </td>
            </tr>
            <tr>
                <td style="font-weight: bold">Tardanza: </td>
                <td><span>
                        <?php if($informe->HoraEntrada > $empresa->checkinTime): ?>
                            <?php echo e(RegistroController::RestarHoras($informe->HoraEntrada, $empresa->checkinTime)); ?>

                        <?php endif; ?>
                    </span>
                </td>
            </tr>
        </tbody>
    </table>
</body>

</html>
<?php /**PATH C:\Cambios_Chi\sysasistencia_ng\resources\views/email/entrada.blade.php ENDPATH**/ ?>